﻿<?xml version="1.0" encoding="utf-8"?>

<pattern id="ContextVariables" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>XBRL Context Id variables that are applicable accross all of the CGTS services.</title>
    
    <!--RP TFN VARIABLE-->
    <let name="RP.Identifier.TFN"
         value="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1')]/xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1 and contains(./xbrldi:explicitMember,'ReportingParty')]/xbrldi:explicitMember/../../xbrli:identifier[lower-case(@scheme) = 'http://www.ato.gov.au/tfn']" />
    
    <!-- RP Context Variables -->
    <!-- RP Context -->
    <let name="RP.Context" 
         value="xbrli:xbrl/xbrli:context[
                 not(@i:nil='true' or @i:nil='1') 
                 and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
                 and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
                 and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]
                        /xbrli:segment[not(@i:nil='true' or @i:nil='1') 
                            and count(./*) = 1 
                            and count(./xbrldi:explicitMember) = 1]
                                /xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension, '^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') 
                                    and matches(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]
            ]" />

    <let name="RP.ContextId" value="$RP.Context/@id" />

    <!-- 
        RP.EarnoutArrangementGroupNumber Context Variables 
    -->
    <let name="RP.EarnoutArrangementGroupNumber.Context"
         value="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1') and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]
			    /xbrli:segment[not(@i:nil='true' or @i:nil='1')  
                 and 2 = count(./*)
                 and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
				                 and matches(@dimension, '^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') 
				                 and matches(.,          '^RprtPyType\.\d\d\.\d\d:ReportingParty$')])
                 and 1 = count(./xbrldi:typedMember[not(@i:nil='true' or @i:nil='1') 
				                 and matches(@dimension, '^EarnoutArrgmtGrpItmDim\.\d\d\.\d\d:EarnoutArrangementGroupItemDimension$') 
				                 and 1 = count(./EarnoutArrgmtGrpItmDim.02.00:EarnoutArrangementGroupItemContainer[not(@i:nil='true' or @i:nil='1')])])]]" />

    <let name="RP.EarnoutArrangementGroupNumber.ContextId" value="$RP.EarnoutArrangementGroupNumber.Context/@id" />

    <!-- 
        RP.Applied Context Variables 
        AccntTrtmntMthd.xx.xx:Applied
    -->
    <let name="RP.Applied.Context"
         value="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1') and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]
                  /xbrli:segment[not(@i:nil='true' or @i:nil='1') 
                    and 2 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension, '^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') 
                                    and matches(.,          '^RprtPyType\.\d\d\.\d\d:ReportingParty$')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension, '^AccntTrtmntMthdDim\.\d\d\.\d\d:AccountingTreatmentMethodDimension$') 
                                    and matches(.,          '^AccntTrtmntMthdDim\.\d\d\.\d\d:Applied$')])]]" />
    <let name="RP.Applied.ContextId" value="$RP.Applied.Context/@id" />

    <!-- 
        RP.ListedCompanyShares Context Variables 
    -->
    <let name="RP.ListedCompanyShares.Context"
         value="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1') and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]
                  /xbrli:segment[not(@i:nil='true' or @i:nil='1') 
                    and 2 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension, '^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') 
                                    and matches(.,          '^RprtPyType\.\d\d\.\d\d:ReportingParty$')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension, '^AssetType\.\d\d\.\d\d:AssetTypeDimension$') 
                                    and matches(.,          '^AssetType\.\d\d\.\d\d:ListedCompanyShares$')])]]" />
    <let name="RP.ListedCompanyShares.ContextId" value="$RP.ListedCompanyShares.Context/@id" />

    <!-- 
        RP.OtherShares Context Variables 
    -->
    <let name="RP.OtherShares.Context"
         value="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1') and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]
                  /xbrli:segment[not(@i:nil='true' or @i:nil='1') 
                    and 2 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension, '^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') 
                                    and matches(.,          '^RprtPyType\.\d\d\.\d\d:ReportingParty$')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension, '^AssetType\.\d\d\.\d\d:AssetTypeDimension$') 
                                    and matches(.,          '^AssetType\.\d\d\.\d\d:OtherShares$')])]]" />
    <let name="RP.OtherShares.ContextId" value="$RP.OtherShares.Context/@id" />

    <!-- 
        RP.ListedUnitTrusts Context Variables 
    -->
    <let name="RP.ListedUnitTrusts.Context"
         value="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1') and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]
                  /xbrli:segment[not(@i:nil='true' or @i:nil='1') 
                    and 2 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension, '^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') 
                                    and matches(.,          '^RprtPyType\.\d\d\.\d\d:ReportingParty$')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension, '^AssetType\.\d\d\.\d\d:AssetTypeDimension$') 
                                    and matches(.,          '^AssetType\.\d\d\.\d\d:ListedUnitTrusts$')])]]" />
    <let name="RP.ListedUnitTrusts.ContextId" value="$RP.ListedUnitTrusts.Context/@id" />

    <!-- 
        RP.OtherUnits Context Variables 
    -->
    <let name="RP.OtherUnits.Context"
         value="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1') and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]
                  /xbrli:segment[not(@i:nil='true' or @i:nil='1') 
                    and 2 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension, '^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') 
                                    and matches(.,          '^RprtPyType\.\d\d\.\d\d:ReportingParty$')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension, '^AssetType\.\d\d\.\d\d:AssetTypeDimension$') 
                                    and matches(.,          '^AssetType\.\d\d\.\d\d:OtherUnits$')])]]" />
    <let name="RP.OtherUnits.ContextId" value="$RP.OtherUnits.Context/@id" />

    <!-- 
        RP.RealPropertyAUS Context Variables 
    -->
    <let name="RP.RealPropertyAUS.Context"
         value="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1') and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]
                  /xbrli:segment[not(@i:nil='true' or @i:nil='1') 
                    and 2 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension, '^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') 
                                    and matches(.,          '^RprtPyType\.\d\d\.\d\d:ReportingParty$')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension, '^AssetType\.\d\d\.\d\d:AssetTypeDimension$') 
                                    and matches(.,          '^AssetType\.\d\d\.\d\d:RealPropertyAUS$')])]]" />
    <let name="RP.RealPropertyAUS.ContextId" value="$RP.RealPropertyAUS.Context/@id" />

    <!-- 
        RP.OverseasRealProperty Context Variables 
    -->
    <let name="RP.OverseasRealProperty.Context"
         value="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1') and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]
                  /xbrli:segment[not(@i:nil='true' or @i:nil='1') 
                    and 2 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension, '^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') 
                                    and matches(.,          '^RprtPyType\.\d\d\.\d\d:ReportingParty$')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension, '^AssetType\.\d\d\.\d\d:AssetTypeDimension$') 
                                    and matches(.,          '^AssetType\.\d\d\.\d\d:OverseasRealProperty$')])]]" />
    <let name="RP.OverseasRealProperty.ContextId" value="$RP.OverseasRealProperty.Context/@id" />

    <!-- 
        RP.CapitalGainsTrustDistributions Context Variables 
    -->
    <let name="RP.CapitalGainsTrustDistributions.Context"
         value="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1') and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]
                  /xbrli:segment[not(@i:nil='true' or @i:nil='1') 
                    and 2 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension, '^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') 
                                    and matches(.,          '^RprtPyType\.\d\d\.\d\d:ReportingParty$')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension, '^AssetType\.\d\d\.\d\d:AssetTypeDimension$') 
                                    and matches(.,          '^AssetType\.\d\d\.\d\d:CapitalGainsTrustDistributions$')])]]" />
    <let name="RP.CapitalGainsTrustDistributions.ContextId" value="$RP.CapitalGainsTrustDistributions.Context/@id" />

    <!-- 
        RP.Collectables Context Variables 
    -->
    <let name="RP.Collectables.Context"
         value="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1') and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]
                  /xbrli:segment[not(@i:nil='true' or @i:nil='1') 
                    and 2 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension, '^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') 
                                    and matches(.,          '^RprtPyType\.\d\d\.\d\d:ReportingParty$')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension, '^AssetType\.\d\d\.\d\d:AssetTypeDimension$') 
                                    and matches(.,          '^AssetType\.\d\d\.\d\d:Collectables$')])]]" />
    <let name="RP.Collectables.ContextId" value="$RP.Collectables.Context/@id" />

    <!-- 
        RP.CGTOther Context Variables 
    -->
    <let name="RP.CGTOther.Context"
         value="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1') and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]
                  /xbrli:segment[not(@i:nil='true' or @i:nil='1') 
                    and 2 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension, '^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') 
                                    and matches(.,          '^RprtPyType\.\d\d\.\d\d:ReportingParty$')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension, '^AssetType\.\d\d\.\d\d:AssetTypeDimension$') 
                                    and matches(.,          '^AssetType\.\d\d\.\d\d:CGTOther$')])]]" />
    <let name="RP.CGTOther.ContextId" value="$RP.CGTOther.Context/@id" />

    <!-- 
        RP.Collectables.Unapplied Context Variables 
    -->
    <let name="RP.Collectables.Unapplied.Context"
         value="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1') and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]
                  /xbrli:segment[not(@i:nil='true' or @i:nil='1') 
                    and 3 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension, '^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') 
                                    and matches(.,          '^RprtPyType\.\d\d\.\d\d:ReportingParty$')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension, '^AssetType\.\d\d\.\d\d:AssetTypeDimension$') 
                                    and matches(.,          '^AssetType\.\d\d\.\d\d:Collectables$')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension, '^AccntTrtmntMthdDim\.\d\d\.\d\d:AccountingTreatmentMethodDimension$') 
                                    and matches(.,          '^AccntTrtmntMthdDim\.\d\d\.\d\d:Unapplied$')])]]" />
    <let name="RP.Collectables.Unapplied.ContextId" value="$RP.Collectables.Unapplied.Context/@id" />

    <!-- 
        RP.CGTOther.Unapplied Context Variables 
    -->
    <let name="RP.CGTOther.Unapplied.Context"
         value="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1') and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]
                  /xbrli:segment[not(@i:nil='true' or @i:nil='1') 
                    and 3 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension, '^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') 
                                    and matches(.,          '^RprtPyType\.\d\d\.\d\d:ReportingParty$')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension, '^AssetType\.\d\d\.\d\d:AssetTypeDimension$') 
                                    and matches(.,          '^AssetType\.\d\d\.\d\d:CGTOther$')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension, '^AccntTrtmntMthdDim\.\d\d\.\d\d:AccountingTreatmentMethodDimension$') 
                                    and matches(.,          '^AccntTrtmntMthdDim\.\d\d\.\d\d:Unapplied$')])]]" />
    <let name="RP.CGTOther.Unapplied.ContextId" value="$RP.CGTOther.Unapplied.Context/@id" />

    <!-- 
        RP.Applied.Y0 Context Variables 
    -->
    <let name="RP.Applied.Y0.Context"
         value="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1') and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]
                  /xbrli:segment[not(@i:nil='true' or @i:nil='1') 
                    and 3 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension, '^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') 
                                    and matches(.,          '^RprtPyType\.\d\d\.\d\d:ReportingParty$')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension, '^RelPrdDrtn\.\d\d\.\d\d:RelativePeriodDurationDimension$') 
                                    and matches(.,          '^RelPrdDrtn\.\d\d\.\d\d:Y0$')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension, '^AccntTrtmntMthdDim\.\d\d\.\d\d:AccountingTreatmentMethodDimension$') 
                                    and matches(.,          '^AccntTrtmntMthdDim\.\d\d\.\d\d:Applied$')])]]" />
    <let name="RP.Applied.Y0.ContextId" value="$RP.Applied.Y0.Context/@id" />

    <!-- 
        RP.Applied.Y0-1 Context Variables 
    -->
    <let name="RP.Applied.Y0-.Context"
         value="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1') and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]
                  /xbrli:segment[not(@i:nil='true' or @i:nil='1') 
                    and 3 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension, '^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') 
                                    and matches(.,          '^RprtPyType\.\d\d\.\d\d:ReportingParty$')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension, '^RelPrdDrtn\.\d\d\.\d\d:RelativePeriodDurationDimension$') 
                                    and matches(.,          '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus$')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension, '^AccntTrtmntMthdDim\.\d\d\.\d\d:AccountingTreatmentMethodDimension$') 
                                    and matches(.,          '^AccntTrtmntMthdDim\.\d\d\.\d\d:Applied$')])]]" />
    <let name="RP.Applied.Y0-.ContextId" value="$RP.Applied.Y0-.Context/@id" />
  
  <!-- 
        RP.TransfersToOtherClasses Context Variables 
    -->
  <let name="RP.TransfersToOtherClasses.Context"
       value="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1') and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]
			    /xbrli:segment[not(@i:nil='true' or @i:nil='1')  
                    and 2 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension, '^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') 
                                    and matches(.,          '^RprtPyType\.\d\d\.\d\d:ReportingParty$')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension, '^AMITCharType\.\d\d\.\d\d:AMITCharacterTypeDimension$') 
                                    and matches(.,          '^AMITCharType\.\d\d\.\d\d:TransfersToOtherClasses$')])]]" />

  <let name="RP.TransfersToOtherClasses.ContextId" value="$RP.TransfersToOtherClasses.Context/@id" />
  
</pattern>