﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="CrossFormDIS" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>XBRL Cross Form Validations that are applicable to DIS.</title>

    <!-- RP.DIS Context Variables -->
    <let name="DIS.Context" value="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/dis/dis_0002/dis.0002.lodge.request.02.01.report.xsd']]" />
    <let name="RP.DIS.Context" value="$DIS.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/ 
              xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]
           ]" />
    <let name="RP.DIS.ContextId" value="$RP.DIS.Context/@id" />
    <let name="INT.DIS.Context" value="$DIS.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/ 
              xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:Intermediary$')]
           ]" />
    <let name="INT.DIS.ContextId" value="$INT.DIS.Context/@id" />
    <!-- INT Context -->
    <let name="INT.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/
              xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:Intermediary$')]
           ]" />
    <!-- INT Context Id -->
    <let name="INT.ContextId" value="$INT.Context/@id" />



    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/dis/dis_0002/dis.0002.lodge.request.02.01.report.xsd']]">
        <!--
          WHERE PARENT RETURN EXIST
          IF ([DIS48] <> NULL OR [DIS64] <> NULL)
          RETURN VALIDATION MESSAGE
          ENDIF
          [DIS48] = DIS:RP:pyde.02.00:AddressDetails.Line1.Text WHERE (pyde.02.01:AddressDetails.Usage.Code = ""BUS"" AND pyde.02.00:AddressDetails.Currency.Code = ""C"") IN TUPLE(address2.02.02:AddressDetails)
          [DIS64] = DIS:RP:pyde.02.00:AddressDetails.Line1.Text WHERE (pyde.02.01:AddressDetails.Usage.Code = ""POS"" AND pyde.02.00:AddressDetails.Currency.Code = ""C"") IN TUPLE(address2.02.02:AddressDetails)
          VR.ATO.DIS.406040	CMN.ATO.DIS.406040
      -->
        <assert id="VR.ATO.DIS.406040" diagnostics="DVR.ATO.DIS.406040"
                test="not(
              
              address2.02.02:AddressDetails[
                    pyde.02.01:AddressDetails.Usage.Code[matches(.,'^(BUS)$','i')]
                    and pyde.02.00:AddressDetails.Currency.Code[matches(.,'^(C)$','i')]
                ]/pyde.02.00:AddressDetails.Line1.Text[@contextRef=$RP.DIS.ContextId and not(@i:nil='true' or @i:nil='1')]
                or
                address2.02.02:AddressDetails[
                    pyde.02.01:AddressDetails.Usage.Code[matches(.,'^(POS)$','i')]
                    and pyde.02.00:AddressDetails.Currency.Code[matches(.,'^(C)$','i')]
                ]/pyde.02.00:AddressDetails.Line1.Text[@contextRef=$RP.DIS.ContextId and not(@i:nil='true' or @i:nil='1')]
                )"/>

        <!--
          WHERE PARENT RETURN EXISTS
          IF [DIS74] <> NULLORBLANK
          RETURN VALIDATION MESSAGE
          ENDIF

          [DIS74] = DIS:RP:pyin.02.03:Declaration.StatementType.Code 
          WHERE (pyin.02.03:Declaration.StatementType.Code = ""TrueAndCorrect"") 
          IN TUPLE(declaration2.02.01:Declaration)
          VR.ATO.DIS.406041	CMN.ATO.DIS.406041
      -->
        <assert id="VR.ATO.DIS.406041" diagnostics="DVR.ATO.DIS.406041"
                test="not(
                        declaration2.02.01:Declaration
                            /pyin.02.03:Declaration.StatementType.Code[
                                @contextRef=$RP.DIS.ContextId 
                                and matches(.,'^(TrueAndCorrect)$','i') 
                                and not(@i:nil='true' or @i:nil='1')
                            ])"/>
        <!--
          WHERE PARENT RETURN EXISTS
          IF [DIS81] <> NULLORBLANK
          RETURN VALIDATION MESSAGE
          ENDIF

          [DIS81] = DIS:INT:pyin.02.03:Declaration.StatementType.Code 
          WHERE (pyin.02.03:Declaration.StatementType.Code = ""TrueAndCorrect"") 
          IN TUPLE(declaration2.02.01:Declaration)
          VR.ATO.DIS.406047	CMN.ATO.DIS.406047
      -->
        <assert id="VR.ATO.DIS.406047" diagnostics="DVR.ATO.DIS.406047"
                test="not(
                        declaration2.02.01:Declaration
                            /pyin.02.03:Declaration.StatementType.Code[
                                @contextRef=$INT.DIS.ContextId 
                                and matches(.,'^(TrueAndCorrect)$','i') 
                                and not(@i:nil='true' or @i:nil='1')
                            ])"/>
        <!--
            Rule Id: VR.ATO.DIS.406039
            
            WHERE PARENT RETURN EXISTS
            IF Context(INT) <> NULLORBLANK 
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.DIS.406039" diagnostics="DVR.ATO.DIS.406039" test="not($INT.DIS.Context)"></assert>

        <!--
            Rule Id: VR.ATO.DIS.406036

            WHERE PARENT RETURN EXISTS
            IF (RP:entity.identifier.TFN <> PARENT RETURN:RP:entity.identifier.TFN)
        RETURN VALIDATION MESSAGE
        ENDIF
        -->
        <assert id="VR.ATO.DIS.406036" diagnostics="DVR.ATO.DIS.406036" subject="xbrli:context/xbrli:entity/xbrli:identifier" test="not(
                            xbrli:context[@id=$RP.DIS.ContextId]/xbrli:entity/xbrli:identifier[(@scheme = 'http://www.ato.gov.au/tfn')and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            !=
                            $RP.CTR.Context/xbrli:entity/xbrli:identifier[(@scheme = 'http://www.ato.gov.au/tfn') and not(@i:nil='true' or @i:nil='1')]
                            )"></assert>
        <!--
            Rule Id: VR.ATO.DIS.406027
      			WHERE PARENT RETURN EXISTS
            IF [DIS42] <> NULLORBLANK
              RETURN VALIDATION MESSAGE
            ENDIF

            [DIS42] = DIS:RP:pyin.02.00:Report.TargetFinancial.Year
			-->

        <assert id="VR.ATO.DIS.406027" diagnostics="DVR.ATO.DIS.406027"
             test="not(pyin.02.00:Report.TargetFinancial.Year[@contextRef=$RP.DIS.ContextId and not(@i:nil='true' or @i:nil='1')])" />

        <!--
            Rule Id: VR.ATO.DIS.406032
            WHERE PARENT RETURN EXISTS
            IF (RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> NULLORBLANK) AND
            (PARENT RETURN:RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> NULLORBLANK) AND
            (RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> 
            PARENT RETURN:RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier)
              RETURN VALIDATION MESSAGE
            ENDIF
			-->
        <assert id="VR.ATO.DIS.406032" diagnostics="DVR.ATO.DIS.406032"
                test="not(                    
                            (
                                $CTR.Context/tns:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0] 
                                and
                                pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.DIS.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            )
                            and
                            (
                                pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.DIS.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                !=
                                $CTR.Context/tns:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                
                            )
                      )" />

        <!--
        Rule Id: VR.ATO.GEN.402010

        IF (RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> NULLORBLANK) AND
        (PARENT RETURN:RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> NULLORBLANK) AND
        (RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> PARENT RETURN:RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier)
        RETURN VALIDATION MESSAGE
        ENDIF
        -->
        <!--<assert  id="VR.ATO.GEN.402010" diagnostics="DVR.ATO.GEN.402010" subject="pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier" test="
                        not(                    
                            (
                                $CTR.Context/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0] 
                                and
                                pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.DIS.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            )
                            and
                            (
                                pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.DIS.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                !=
                                $CTR.Context/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                
                            )
                        )"></assert>-->
        <!--
            Rule Id: VR.ATO.DIS.406038
            
            WHERE PARENT RETURN EXISTS
            IF RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
            IN TUPLE (xbrli\orgname1.xx.xx:OrganisationNameDetails) <> NULL
            AND RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
            IN TUPLE (xbrli\orgname1.xx.xx:OrganisationNameDetails) <> 
            (PARENT RETURN:RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
            IN TUPLE (xbrli\orgname2.xx.xx:OrganisationNameDetails)
            WHERE (TUPLE EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = ""MN"")
            AND  (TUPLE EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = ""C"")) 
              RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.DIS.406038" diagnostics="DVR.ATO.DIS.406038" subject="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text" test="
                    not
                    (                    
                        count(orgname1.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.DIS.ContextId and not(@i:nil='true' or @i:nil='1')])
                            != 0
                        and 
                            orgname1.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.DIS.ContextId and not(@i:nil='true' or @i:nil='1')]
                            !=
                            $CTR.Context/tns:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/tns:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 
                            and ../tns:OrganisationNameDetails.OrganisationalNameType.Code = 'MN'
                            and ../tns:OrganisationNameDetails.Currency.Code = 'C']
                    )"></assert>

        <!--
            Rule Id: VR.ATO.GEN.400013
            Update Comment: CR 395
            
            IF RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
            IN TUPLE (xbrli\orgname1.xx.xx:OrganisationNameDetails) <> NULL
            AND RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
            IN TUPLE (xbrli\orgname1.xx.xx:OrganisationNameDetails) <> 
            (PARENT RETURN:RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
            IN TUPLE (xbrli\orgname2.xx.xx:OrganisationNameDetails)
            WHERE (TUPLE EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN")
            AND  (TUPLE EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = "C")) 
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <!--<assert  id="VR.ATO.GEN.400013" diagnostics="DVR.ATO.GEN.400013.0" subject="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text" test="
                    not
                    (                    
                        count(orgname1.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.DIS.ContextId and not(@i:nil='true' or @i:nil='1')])
                            != 0
                        and 
                            orgname1.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.DIS.ContextId and not(@i:nil='true' or @i:nil='1')]
                            !=
                            $CTR.Context/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 
                            and ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = 'MN'
                            and ../pyde.02.00:OrganisationNameDetails.Currency.Code = 'C']
                    )"></assert>-->
    </rule>
</pattern>