﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="CrossFormIDS" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>XBRL Cross Form Validations that are applicable to IDS.</title>


  <!-- IDS Context Variable -->
  <let name="IDS.Context"  value="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/ato/ato.ids.0005.2017.01.00.report.xsd']]" />

  ["<!-- RP.IDS Context -->
  <let name="RP.IDS.Context" value="$IDS.Context/xbrli:context[
            not(@i:nil='true' or @i:nil='1') 
            and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
            and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
            and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
            xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1 and count(./xbrldi:typedMember) = 0]/ 
            xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:ReportPartyTypeDimension$') and matches(.,'^.*:ReportingParty$')]
           
       
        ]" />

  

  <!-- RP.IDS Context Id -->
  <let name="RP.IDS.ContextId" value="$RP.IDS.Context/@id" />
  <!-- RP.CFCLC Context -->
  <let name="RP.CFCLC.IDS.Context" value="$IDS.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
             
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^.*:ListedCountry$')]) = 1]
          ]" />
  <!-- RP.CFCLC Context Id -->
  <let name="RP.CFCLC.IDS.ContextId" value="$RP.CFCLC.IDS.Context/@id" />
  <!-- RP.CFCSP Context -->
  <let name="RP.CFCSP.IDS.Context" value="$IDS.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*ReportPartyTypeDimension$') and matches(.,'^.*:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^.*:SpecifiedCountry$')]) = 1]
         ]" />
  <!-- RP.CFCSP Context Id -->
  <let name="RP.CFCSP.IDS.ContextId" value="$RP.CFCSP.IDS.Context/@id" />
  <!-- RP.CFCUC Context -->
  <let name="RP.CFCUC.IDS.Context" value="$IDS.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:ReportPartyTypeDimension$') and matches(.,'^.*:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^.*:UnlistedCountry$')]) = 1]
         ]" />
  <!-- RP.CFCUC Context Id -->
  <let name="RP.CFCUC.IDS.ContextId" value="$RP.CFCUC.IDS.Context/@id" />
  <!-- RP.Royalties.IDS Context -->
  <let name="RP.Royalties.IDS.Context" value="$IDS.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:ReportPartyTypeDimension$') and matches(.,'^.*:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^.*:Royalties$')]) = 1]
         ]" />
  <!-- RP.Royalties.IDS Context Id -->
  <let name="RP.Royalties.IDS.ContextId" value="$RP.Royalties.IDS.Context/@id" />
  <!-- RP.TangibleRevenue.IDS Context -->
  <let name="RP.TangibleRevenue.IDS.Context" value="$IDS.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:ReportPartyTypeDimension$') and matches(.,'^.*:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^.*:TangibleRevenue$')]) = 1]
         ]" />
  <!-- RP.TangibleRevenue.IDS Context Id -->
  <let name="RP.TangibleRevenue.IDS.ContextId" value="$RP.TangibleRevenue.IDS.Context/@id" />
  <!-- RP.OtherInterest.IDS Context -->
  <let name="RP.OtherInterest.IDS.Context" value="$IDS.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:ReportPartyTypeDimension$') and matches(.,'^.*:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^.*:OtherInterest$')]) = 1]
         ]" />
  <!-- RP.OtherInterest.IDS Context Id -->
  <let name="RP.OtherInterest.IDS.ContextId" value="$RP.OtherInterest.IDS.Context/@id" />
  <!-- RP.RentLease.IDS Context -->
  <let name="RP.RentLease.IDS.Context" value="$IDS.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:ReportPartyTypeDimension$') and matches(.,'^.*:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^.*:RentLease$')]) = 1]
         ]" />
  <!-- RP.RentLease.IDS Context Id -->
  <let name="RP.RentLease.IDS.ContextId" value="$RP.RentLease.IDS.Context/@id" />


    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/ato/ato.ids.0005.2017.01.00.report.xsd']]/xbrli:context">
   
      <!--
            IF (RP:entity.identifier.TFN 
                <> PARENT RETURN:RP:entity.identifier.TFN)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
       <assert  id="VR.ATO.GEN.402009" diagnostics="DVR.ATO.GEN.402009"
                 test="not(
                        @id=$RP.IDS.ContextId
                        and $RP.IDS.Context/xbrli:entity/xbrli:identifier[(@scheme = 'http://www.ato.gov.au/tfn')and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                        !=
                        $RP.CTR.Context/xbrli:entity/xbrli:identifier[(@scheme = 'http://www.ato.gov.au/tfn') and not(@i:nil='true' or @i:nil='1')]
                    )"/>




      
        <!--
            IF (period.startDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.startDate
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.438000" diagnostics="DVR.ATO.GEN.438000.IDS" 
                test="not(
                    xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]
                    !=
                    $RP.CTR.Context/xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')])"/>
        <!-- 
            IF (period.endDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.endDate
               RETURN VALIDATION MESSAGE
            ENDIF        
        -->
    <assert  id="VR.ATO.GEN.438001" diagnostics="DVR.ATO.GEN.438001.IDS"
             test="not(
                        xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
                        !=
                        $RP.CTR.Context/xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
                      )"/>
    </rule>

    
</pattern>