﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="EnumerationPatterns" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Enumeration Pattern Validations</title>




    <rule context="rvctc3.02.33:CapitalGainsTax.ExemptionOrRolloverApplied.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]">

        <!--
             IF [FITR204] <> NULL AND [FITR204] <> SET (DOMAIN(CGTExemptionOrRolloverCodesFunds))
              RETURN VALIDATION MESSAGE
            ENDIF

            [FITR204] = FITR:RP:rvctc3.02.33:CapitalGainsTax.ExemptionOrRolloverApplied.Code
        -->

        <assert  id="VR.ATO.FITR.434288" diagnostics="DVR.ATO.FITR.434288"
                 test="@contextRef != $RP.ContextId or
                      matches(.,'(i?)(^A - Small business active asset reduction)$') or
                      matches(.,'(i?)(^B - Small business retirement exemption)$') or
                      matches(.,'(i?)(^C - Small business roll-over)$') or
                      matches(.,'(i?)(^D - Small business 15 year exemption)$') or
                      matches(.,'(i?)(^F - Scrip for scrip roll-over)$') or
                      matches(.,'(i?)(^L - Replacement asset roll-overs)$') or
                      matches(.,'(i?)(^M - Exchange of shares or units)$') or
                      matches(.,'(i?)(^N - Exchange of rights or options)$') or
                      matches(.,'(i?)(^O - Exchange of shares in one company for shares in another company)$') or
                      matches(.,'(i?)(^P - Exchange of units in a unit trust for shares in a company)$') or
                      matches(.,'(i?)(^Q - Trust restructure roll-over)$') or
                      matches(.,'(i?)(^S - Same asset roll-overs)$') or
                      matches(.,'(i?)(^X - Other exemptions and roll-overs)$') "/>
    </rule>

    <rule context="email1.02.00:ElectronicContactElectronicMail[not(@i:nil='true' or @i:nil='1')]">           
        <!--
            Rule ID: VR.ATO.GEN.436276
            WHERE IN TUPLE(ElectronicContactElectronicMail1.xx.xx:ElectronicContactElectronicMail)
                IF (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text = NULLORBLANK)
                  OR (pyde.xx.xx:ElectronicContact.ElectronicMail.Usage.Code <> "03")
                    RETURN VALIDATION MESSAGE
                ENDIF            
        -->
        <assert id="VR.ATO.GEN.436276" diagnostics="DVR.ATO.GEN.436276" 
                test="not(
                    not(pyde.02.00:ElectronicContact.ElectronicMail.Address.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) 
                    or
                    pyde.02.00:ElectronicContact.ElectronicMail.Usage.Code[not(@i:nil='true' or @i:nil='1')] != '03'
                )"/>
    </rule>

    <rule context="email1.02.00:ElectronicContactElectronicMail[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text[not(@i:nil='true' or @i:nil='1')]">
        
        <!--
            IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text CONTAINS ".."
            RETURN VALIDATION MESSAGE
            ENDIF	
        -->
        <assert id="VR.ATO.GEN.430226" diagnostics="DVR.ATO.GEN.430226"                   
                test="not(
                           matches(.,'^(.*)(\.\.)(.*)$','i') 
                      )"/>
        
        <!--
            IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text CONTAINS .@
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430227" diagnostics="DVR.ATO.GEN.430227"
                test="not(
                          matches(.,'^(.*)(\.@)(.*)$','i')
                      )"/>
        <!--
            IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text CONTAINS "@."
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430228" diagnostics="DVR.ATO.GEN.430228"
                test="not(
                        matches(.,'^(.*)(@\.)(.*)$','i') 
                      )"/>

        <!--
            IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text CONTAINS SET("(", ")", "<", ">", ",", ";", ":", "\",  """, "]", "[")
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430229" diagnostics="DVR.ATO.GEN.430229"
                test="not(
                     matches(.,'^(.*)(\(|\)|&lt;|&gt;|,|;|:|\\|&quot;|\]|\[)(.*)$')
                      )"/>

        <!--
            IF (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text <> NULLORBLANK) 
            AND (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text DOES NOT CONTAIN "@")
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430230" diagnostics="DVR.ATO.GEN.430230"
                test="matches(.,'^(.*)(@)(.*)$','i')"/>

        <!--
            IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text = FOUND(" ")
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430231" diagnostics="DVR.ATO.GEN.430231"
                test="not(matches(.,'^(.*)( )(.*)$'))"/>
        
        <!--
             Rule ID: VR.ATO.GEN.430232
              IF (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text <> NULLORBLANK) 
                      AND (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text DOES NOT CONTAIN ".")
                RETURN VALIDATION MESSAGE
              ENDIF            
        -->
        <assert id="VR.ATO.GEN.430232" diagnostics="DVR.ATO.GEN.430232" 
                test="matches(.,'^(.*)(\.)(.*)$')"/>
    </rule>

</pattern>