﻿<?xml version="1.0" encoding="utf-8"?>

<pattern id="CrossFormPSS" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>PSS Cross Form Variables and PSS CrossForm Validations</title>

  <let name="PSS.Context" value="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/pss/pss_0001/pss.0001.lodge.request.02.00.report.xsd']]" />

  <!-- RP Payer -->
  <let name="RP.Payer.PSSeqNum.PSS.Context" value="$PSS.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2]/ 
              xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]
              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2]/ 
              xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:SecondaryPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:Payer$')]
              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:typedMember) = 1]
              /xbrldi:typedMember [ends-with(@dimension,':SequenceNumberDimension')]]" />

  <let name="RP.Payer.PSSeqNum.PSS.ContextId" value="$RP.Payer.PSSeqNum.PSS.Context/@id" />

  <rule context="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/pss/pss_0001/pss.0001.lodge.request.02.00.report.xsd']]">

    <!--*** NOTE: Only add CrossForm rules from the PSS AP360 here that are applicable to SMSFAR. ***-->
    <!--
            Rule Id:  VR.ATO.PSS.000036
        
            WHERE IN CONTEXT (RP.Payer.{PSSeqNum)
            IF (RP.Payer.{PSSeqNum}.entity.identifier.TFN <> PARENT RETURN:RP.entity.identifier.TFN)
               RETURN VALIDATION MESSAGE
            ENDIF
        -->


    <assert  id="VR.ATO.PSS.000036" diagnostics="DVR.ATO.PSS.000036"
            test="
               not(
                    xbrli:context[@id=$RP.Payer.PSSeqNum.PSS.ContextId]/xbrli:entity/xbrli:identifier[(@scheme = 'http://www.ato.gov.au/tfn')and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                    !=
                    $RP.PTR.Context/xbrli:entity/xbrli:identifier[(@scheme = 'http://www.ato.gov.au/tfn') and not(@i:nil='true' or @i:nil='1')]
                    )">

    </assert>


    <!--
            Rule Id:  VR.ATO.PSS.000035        
            
            IF PARENT RETURN <> “IITR”
               AND ([PSS20] <> NULLORBLANK OR [PSS21] <> NULLORBLANK OR [PSS31] <> NULLORBLANK OR [PSS24] <> NULLORBLANK OR [PSS25] <> NULLORBLANK OR [PSS32] <> NULLORBLANK)
                 RETURN VALIDATION MESSAGE
              ENDIF


              [PSS20] = PSS:RP.Payer.{PSSeqNum}:lrla.02.00:Remuneration.VoluntaryAgreementGross.Amount
              [PSS21] = PSS:RP.Payer.{PSSeqNum}:lrla.02.00:Remuneration.LabourHireArrangementPaymentGross.Amount
              [PSS24] = PSS:RP.Payer.{PSSeqNum}:rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessVoluntaryAgreement.Amount
              [PSS25] = PSS:RP.Payer.{PSSeqNum}:rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessLabourHireOrOtherPayments.Amount
              [PSS31] = PSS:RP.Payer.{PSSeqNum}:lrla.02.17:Remuneration.PersonalServicesIncome.AttributedGross.Amount
              [PSS32] = PSS:RP.Payer.{PSSeqNum}:rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncome.Amount            
    -->

    <assert  id="VR.ATO.PSS.000035" diagnostics="DVR.ATO.PSS.000035"
            test="
               not(
                    lrla.02.00:Remuneration.VoluntaryAgreementGross.Amount[@contextRef=$RP.Payer.PSSeqNum.PSS.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                    or
                    lrla.02.00:Remuneration.LabourHireArrangementPaymentGross.Amount[@contextRef=$RP.Payer.PSSeqNum.PSS.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                    or
                    rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessVoluntaryAgreement.Amount[@contextRef=$RP.Payer.PSSeqNum.PSS.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                    or
                    rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessLabourHireOrOtherPayments.Amount[@contextRef=$RP.Payer.PSSeqNum.PSS.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                    or
                    lrla.02.17:Remuneration.PersonalServicesIncome.AttributedGross.Amount[@contextRef=$RP.Payer.PSSeqNum.PSS.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                    or
                    rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncome.Amount[@contextRef=$RP.Payer.PSSeqNum.PSS.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                   )">

    </assert>
    

  </rule>
</pattern>

