using System;
using System.Collections.Generic;

namespace Ato.EN.IntegrationServices.CodeGenerationRDTIS
{
    public class RDTIS2013
    {
    
    public string RPId = null;
    public bool RPExists = false;
    public int RPCount = 0;
    public int RPOccurrenceIndex = 0;
    public int RPLastOccurrenceIndex = 0;
    public string RPIdentifier = null;
    public string RPIdentifierScheme = null;
        public string RPIdentifierTFN = null;
        public DateTime? RPStartDate = null;
        public DateTime? RPEndDate = null;

        /// <summary>
        /// RP:pyin.02.07:Report.Amendment.Indicator
        /// </summary>
        public bool? RDTIS1 = null;

        /// <summary>
        /// RP:pyid.02.00:Identifiers.InnovationRegistrationNumber.Identifier
        /// </summary>
        public string RDTIS2 = null;

        /// <summary>
        /// RP:bafpr3.02.08:Expense.ResearchAndDevelopment.ResearchAndDevelopmentAccountingExpenditureAddBack.Amount
        /// </summary>
        public decimal? RDTIS3 = null;

        /// <summary>
        /// RP:bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount
        /// </summary>
        public decimal? RDTIS24 = null;

        /// <summary>
        /// RP:bafpr3.02.08:Income.ResearchAndDevelopment.FeedstockRevenueTotal.Amount
        /// </summary>
        public decimal? RDTIS25 = null;

        /// <summary>
        /// RP:bafpr3.02.08:Expense.ResearchAndDevelopment.FeedstockInput.Amount
        /// </summary>
        public decimal? RDTIS26 = null;

        /// <summary>
        /// RP:bafpr3.02.08:Income.ResearchAndDevelopment.FeedstockNet.Amount
        /// </summary>
        public decimal? RDTIS27 = null;

        /// <summary>
        /// RP:gfagg.02.03:ResearchAndDevelopment.GovernmentGrantsAndRecoupments.Amount
        /// </summary>
        public decimal? RDTIS28 = null;

        /// <summary>
        /// RP:bafpr3.02.08:Expense.ResearchAndDevelopment.RecoupmentRelated.Amount
        /// </summary>
        public decimal? RDTIS29 = null;

        /// <summary>
        /// RP:bafpr3.02.08:Expense.ResearchAndDevelopment.GrantRelated.Amount
        /// </summary>
        public decimal? RDTIS30 = null;

        /// <summary>
        /// RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.GovernmentGrantsRecoupmentsClawback.Amount
        /// </summary>
        public decimal? RDTIS31 = null;

        /// <summary>
        /// RP:bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesUnpaid.Amount
        /// </summary>
        public decimal? RDTIS32 = null;

        /// <summary>
        /// RP:bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesClaimed.Amount
        /// </summary>
        public decimal? RDTIS33 = null;

        /// <summary>
        /// RP:bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesNotClaimed.Amount
        /// </summary>
        public decimal? RDTIS34 = null;

        /// <summary>
        /// RP:bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesCarriedForward.Amount
        /// </summary>
        public decimal? RDTIS35 = null;

        /// <summary>
        /// RP:gfagc.02.04:TaxConcession.ExemptEntityOwnership.Indicator
        /// </summary>
        public bool? RDTIS36 = null;

        /// <summary>
        /// RP:gfagc.02.04:TaxConcession.AggregatedTurnoverAtOrAboveThreshold.Indicator
        /// </summary>
        public bool? RDTIS37 = null;

        /// <summary>
        /// RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetEntityTurnover.Amount
        /// </summary>
        public decimal? RDTIS38 = null;

        /// <summary>
        /// RP:gfagc.02.07:TaxConcession.ResearchAndDevelopment.TaxOffsetAdditionalEntitiesTurnover.Amount
        /// </summary>
        public decimal? RDTIS52 = null;

        /// <summary>
        /// RP:gfagc.02.05:TaxConcession.ResearchAndDevelopment.TaxOffsetTurnoverExclusion.Amount
        /// </summary>
        public decimal? RDTIS43 = null;

        /// <summary>
        /// RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetTurnoverTotal.Amount
        /// </summary>
        public decimal? RDTIS44 = null;

        /// <summary>
        /// RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalRefundable.Amount
        /// </summary>
        public decimal? RDTIS45 = null;

        /// <summary>
        /// RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetRefundable.Amount
        /// </summary>
        public decimal? RDTIS46 = null;

        /// <summary>
        /// RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalNonRefundable.Amount
        /// </summary>
        public decimal? RDTIS47 = null;

        /// <summary>
        /// RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount
        /// </summary>
        public decimal? RDTIS48 = null;
        public List<GMContext> GMContextCollection = null;
        public class GMContext
        {
    
            public string Id = null;
            public bool Exists = false;
            public int Count = 0;
            public int OccurrenceIndex = 0;
            public int LastOccurrenceIndex = 0;
            public string Identifier = null;
            public string IdentifierScheme = null;
            public string IdentifierTFN = null;
            public DateTime? StartDate = null;
            public DateTime? EndDate = null;

            public bool OrganisationNameDetailsCollectionExists = false;
            public int OrganisationNameDetailsCollectionCount = 0;
    
            /// <summary>
            /// /xbrli:xbrl/orgname2.02.00:OrganisationNameDetails
            /// GM:pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code
            /// </summary>
            public string RDTIS39 = null;
    
            /// <summary>
            /// /xbrli:xbrl/orgname2.02.00:OrganisationNameDetails
            /// GM:pyde.02.00:OrganisationNameDetails.Currency.Code
            /// </summary>
            public string RDTIS40 = null;
    
            /// <summary>
            /// /xbrli:xbrl/orgname2.02.00:OrganisationNameDetails
            /// GM:pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
            /// </summary>
            public string RDTIS41 = null;
    
            /// <summary>
            /// GM:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetEntityTurnover.Amount
            /// </summary>
            public decimal? RDTIS42 = null;
        }

        public string RPCTAUSId = null;
        public bool RPCTAUSExists = false;
        public int RPCTAUSCount = 0;
        public int RPCTAUSOccurrenceIndex = 0;
        public int RPCTAUSLastOccurrenceIndex = 0;
        public string RPCTAUSIdentifier = null;
        public string RPCTAUSIdentifierScheme = null;
        public string RPCTAUSIdentifierTFN = null;
        public DateTime? RPCTAUSStartDate = null;
        public DateTime? RPCTAUSEndDate = null;

        /// <summary>
        /// RPCTAUS:bafpr3.02.09:Expense.ResearchAndDevelopment.ContractedExpenditureResearchServiceProvider.Amount
        /// </summary>
        public decimal? RDTIS4 = null;

        /// <summary>
        /// RPCTAUS:bafpr3.02.09:Expense.ResearchAndDevelopment.ContractedExpenditureNonResearchServiceProvider.Amount
        /// </summary>
        public decimal? RDTIS6 = null;

        /// <summary>
        /// RPCTAUS:lrla.02.12:Remuneration.WagesAndSalaries.Salary.Amount
        /// </summary>
        public decimal? RDTIS8 = null;

        /// <summary>
        /// RPCTAUS:bafpr3.02.08:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount
        /// </summary>
        public decimal? RDTIS10 = null;

        /// <summary>
        /// RPCTAUS:bafpr3.02.08:Expense.ResearchAndDevelopment.Feedstock.Amount
        /// </summary>
        public decimal? RDTIS12 = null;

        /// <summary>
        /// RPCTAUS:bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesExpenditure.Amount
        /// </summary>
        public decimal? RDTIS14 = null;

        /// <summary>
        /// RPCTAUS:bafpr3.02.08:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount
        /// </summary>
        public decimal? RDTIS16 = null;

        /// <summary>
        /// RPCTAUS:bafpr3.02.08:Expense.ResearchAndDevelopment.BalancingLosses.Amount
        /// </summary>
        public decimal? RDTIS18 = null;

        /// <summary>
        /// RPCTAUS:bafpr3.02.08:Expense.ResearchAndDevelopment.CooperativeResearchCentreContributions.Amount
        /// </summary>
        public decimal? RDTIS20 = null;

        /// <summary>
        /// RPCTAUS:bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount
        /// </summary>
        public decimal? RDTIS22 = null;

        public string RPCTFORId = null;
        public bool RPCTFORExists = false;
        public int RPCTFORCount = 0;
        public int RPCTFOROccurrenceIndex = 0;
        public int RPCTFORLastOccurrenceIndex = 0;
        public string RPCTFORIdentifier = null;
        public string RPCTFORIdentifierScheme = null;
        public string RPCTFORIdentifierTFN = null;
        public DateTime? RPCTFORStartDate = null;
        public DateTime? RPCTFOREndDate = null;

        /// <summary>
        /// RPCTFOR:bafpr3.02.09:Expense.ResearchAndDevelopment.ContractedExpenditureResearchServiceProvider.Amount
        /// </summary>
        public decimal? RDTIS5 = null;

        /// <summary>
        /// RPCTFOR:bafpr3.02.09:Expense.ResearchAndDevelopment.ContractedExpenditureNonResearchServiceProvider.Amount
        /// </summary>
        public decimal? RDTIS7 = null;

        /// <summary>
        /// RPCTFOR:lrla.02.12:Remuneration.WagesAndSalaries.Salary.Amount
        /// </summary>
        public decimal? RDTIS9 = null;

        /// <summary>
        /// RPCTFOR:bafpr3.02.08:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount
        /// </summary>
        public decimal? RDTIS11 = null;

        /// <summary>
        /// RPCTFOR:bafpr3.02.08:Expense.ResearchAndDevelopment.Feedstock.Amount
        /// </summary>
        public decimal? RDTIS13 = null;

        /// <summary>
        /// RPCTFOR:bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesExpenditure.Amount
        /// </summary>
        public decimal? RDTIS15 = null;

        /// <summary>
        /// RPCTFOR:bafpr3.02.08:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount
        /// </summary>
        public decimal? RDTIS17 = null;

        /// <summary>
        /// RPCTFOR:bafpr3.02.08:Expense.ResearchAndDevelopment.BalancingLosses.Amount
        /// </summary>
        public decimal? RDTIS19 = null;

        /// <summary>
        /// RPCTFOR:bafpr3.02.08:Expense.ResearchAndDevelopment.CooperativeResearchCentreContributions.Amount
        /// </summary>
        public decimal? RDTIS21 = null;

        /// <summary>
        /// RPCTFOR:bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount
        /// </summary>
        public decimal? RDTIS23 = null;

        public string RPYPreviousId = null;
        public bool RPYPreviousExists = false;
        public int RPYPreviousCount = 0;
        public int RPYPreviousOccurrenceIndex = 0;
        public int RPYPreviousLastOccurrenceIndex = 0;
        public string RPYPreviousIdentifier = null;
        public string RPYPreviousIdentifierScheme = null;
        public string RPYPreviousIdentifierTFN = null;
        public DateTime? RPYPreviousStartDate = null;
        public DateTime? RPYPreviousEndDate = null;

        /// <summary>
        /// RPYPrevious:bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesCarriedForward.Amount
        /// </summary>
        public decimal? RDTIS51 = null;

    }
}
