using System;
using System.Collections.Generic;

namespace Ato.EN.IntegrationServices.CodeGenerationSMSFAR
{
    public class SMSFAR2017
    {

        public string RPId = null;
        public bool RPExists = false;
        public int RPCount = 0;
        public int RPOccurrenceIndex = 0;
        public int RPLastOccurrenceIndex = 0;
        public string RPIdentifier = null;
        public string RPIdentifierScheme = null;
        public string RPIdentifierTFN = null;
        public DateTime? RPStartDate = null;
        public DateTime? RPEndDate = null;

        /// <summary>
        /// RP:tns:Identifiers.TaxFileNumber.Identifier
        /// </summary>
        public string SMSFAR3 = null;

        /// <summary>
        /// RP:tns:Report.TargetFinancial.Year
        /// </summary>
        public int? SMSFAR1 = null;

        /// <summary>
        /// RP:tns:Identifiers.AustralianBusinessNumber.Identifier
        /// </summary>
        public string SMSFAR5 = null;

        public bool OrganisationNameDetailsCollectionExists = false;
        public int OrganisationNameDetailsCollectionCount = 0;

        /// <summary>
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// </summary>
        public bool OrganisationNameDetailsCollection_MN_C_RPExists = false;

        /// <summary>
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// </summary>
        public int OrganisationNameDetailsCollection_MN_C_RPCount = 0;

        /// <summary>
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C'] Occurrence Index
        /// </summary>
        public int OrganisationNameDetailsCollection_MN_C_RPOccurrenceIndex = 0;

        /// <summary>
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C'] Last Occurrence Index
        /// </summary>
        public int OrganisationNameDetailsCollection_MN_C_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// RP:tns:OrganisationNameDetails.OrganisationalNameType.Code
        /// </summary>
        public string SMSFAR234 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// RP:tns:OrganisationNameDetails.Currency.Code
        /// </summary>
        public string SMSFAR319 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// RP:tns:OrganisationNameDetails.OrganisationalName.Text
        /// </summary>
        public string SMSFAR4 = null;

        public bool AddressDetailsCollectionExists = false;
        public int AddressDetailsCollectionCount = 0;

        /// <summary>
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// </summary>
        public bool AddressDetailsCollection_POS_C_RPExists = false;

        /// <summary>
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// </summary>
        public int AddressDetailsCollection_POS_C_RPCount = 0;

        /// <summary>
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C'] Occurrence Index
        /// </summary>
        public int AddressDetailsCollection_POS_C_RPOccurrenceIndex = 0;

        /// <summary>
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C'] Last Occurrence Index
        /// </summary>
        public int AddressDetailsCollection_POS_C_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.OverseasAddress.Indicator
        /// </summary>
        public bool? SMSFAR281 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Usage.Code
        /// </summary>
        public string SMSFAR237 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Currency.Code
        /// </summary>
        public string SMSFAR282 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Line1.Text
        /// </summary>
        public string SMSFAR6 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Line2.Text
        /// </summary>
        public string SMSFAR239 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Line3.Text
        /// </summary>
        public string SMSFAR241 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Line4.Text
        /// </summary>
        public string SMSFAR243 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.LocalityName.Text
        /// </summary>
        public string SMSFAR7 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Postcode.Text
        /// </summary>
        public string SMSFAR9 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.StateOrTerritory.Code
        /// </summary>
        public string SMSFAR8 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.CountryName.Text
        /// </summary>
        public string SMSFAR283 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Country.Code
        /// </summary>
        public string SMSFAR245 = null;

        /// <summary>
        /// RP:tns:Report.Amendment.Indicator
        /// </summary>
        public bool? SMSFAR186 = null;

        /// <summary>
        /// RP:tns:Report.AmendmentReason.Text
        /// </summary>
        public string SMSFAR290 = null;

        /// <summary>
        /// RP:tns:Report.AmendmentSequence.Number
        /// </summary>
        public decimal? SMSFAR291 = null;

        /// <summary>
        /// RP:tns:Report.AmendmentType.Code
        /// </summary>
        public string SMSFAR289 = null;

        /// <summary>
        /// RP:tns:Lodgment.FirstReturn.Indicator
        /// </summary>
        public bool? SMSFAR360 = null;

        /// <summary>
        /// RP:tns:AuditorReport.Signature.Date
        /// </summary>
        public DateTime? SMSFAR23 = null;

        /// <summary>
        /// RP:tns:AuditorReport.OpinionQualified.Indicator
        /// </summary>
        public bool? SMSFAR24 = null;

        /// <summary>
        /// RP:tns:AuditorReport.QualificationsRectified.Indicator
        /// </summary>
        public bool? SMSFAR320 = null;

        /// <summary>
        /// RP:tns:ElectronicContact.ElectronicServiceAddressAlias.Text
        /// </summary>
        public string SMSFAR369 = null;

        /// <summary>
        /// RP:tns:SuperannuationFundDetails.AustralianSuperannuationFundStatus.Indicator
        /// </summary>
        public bool? SMSFAR25 = null;

        /// <summary>
        /// RP:tns:SuperannuationFundDetails.FundBenefitStructure.Code
        /// </summary>
        public string SMSFAR26 = null;

        /// <summary>
        /// RP:tns:SuperannuationFundDetails.FundAcceptGovernmentContributions.Indicator
        /// </summary>
        public bool? SMSFAR27 = null;

        /// <summary>
        /// RP:tns:OrganisationDetails.OperationCease.Indicator
        /// </summary>
        public bool? SMSFAR28 = null;

        /// <summary>
        /// RP:tns:OrganisationDetails.OrganisationActivityStatusEnd.Date
        /// </summary>
        public DateTime? SMSFAR29 = null;

        /// <summary>
        /// RP:tns:SuperannuationFundDetails.TaxObligationsMet.Indicator
        /// </summary>
        public bool? SMSFAR30 = null;

        /// <summary>
        /// RP:tns:SuperannuationFundDetails.IncomeStreamPaid.Indicator
        /// </summary>
        public bool? SMSFAR321 = null;

        /// <summary>
        /// RP:tns:TaxConcession.PensionIncomeExemptDeduction.Amount
        /// </summary>
        public decimal? SMSFAR301 = null;

        /// <summary>
        /// RP:tns:TaxConcession.PensionIncomeExemptCalculationMethod.Code
        /// </summary>
        public string SMSFAR323 = null;

        /// <summary>
        /// RP:tns:SuperannuationFundDetails.ActuarialCertificate.Indicator
        /// </summary>
        public bool? SMSFAR324 = null;

        /// <summary>
        /// RP:tns:Income.AssessableOther.Indicator
        /// </summary>
        public bool? SMSFAR352 = null;

        /// <summary>
        /// RP:tns:CapitalGainsTax.Event.Indicator
        /// </summary>
        public bool? SMSFAR31 = null;

        /// <summary>
        /// RP:tns:CapitalGainsTax.ExemptionOrRolloverApplied.Indicator
        /// </summary>
        public bool? SMSFAR327 = null;

        /// <summary>
        /// RP:tns:CapitalGainsTax.ExemptionOrRolloverApplied.Code
        /// </summary>
        public List<string> SMSFAR328Collection = null;

        /// <summary>
        /// RP:tns:Income.CapitalGainsNet.Amount
        /// </summary>
        public decimal? SMSFAR33 = null;

        /// <summary>
        /// RP:tns:Income.RentLeasingHiringGross.Amount
        /// </summary>
        public decimal? SMSFAR34 = null;

        /// <summary>
        /// RP:tns:Income.Interest.Gross.Amount
        /// </summary>
        public decimal? SMSFAR35 = null;

        /// <summary>
        /// RP:tns:Income.ForestryManagedInvestmentScheme.Amount
        /// </summary>
        public decimal? SMSFAR36 = null;

        /// <summary>
        /// RP:tns:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
        /// </summary>
        public decimal? SMSFAR39 = null;

        /// <summary>
        /// RP:tns:Equity.InternationalDealings.ForeignFundTransfers.Amount
        /// </summary>
        public decimal? SMSFAR40 = null;

        /// <summary>
        /// RP:tns:InternationalDealings.ForeignFundTransfers.Count
        /// </summary>
        public decimal? SMSFAR41 = null;

        /// <summary>
        /// RP:tns:Remuneration.ABNNotQuotedPaymentGross.Amount
        /// </summary>
        public decimal? SMSFAR42 = null;

        /// <summary>
        /// RP:tns:Income.PartnershipDistributionGross.Amount
        /// </summary>
        public decimal? SMSFAR43 = null;

        /// <summary>
        /// RP:tns:Income.DividendsUnfranked.Amount
        /// </summary>
        public decimal? SMSFAR44 = null;

        /// <summary>
        /// RP:tns:Income.DividendsFranked.Amount
        /// </summary>
        public decimal? SMSFAR45 = null;

        /// <summary>
        /// RP:tns:IncomeTax.FrankingCredits.Amount
        /// </summary>
        public decimal? SMSFAR46 = null;

        /// <summary>
        /// RP:tns:Income.TrustDistributionGross.Amount
        /// </summary>
        public decimal? SMSFAR47 = null;

        /// <summary>
        /// RP:tns:Party.TrustType.Code
        /// </summary>
        public string SMSFAR48 = null;

        /// <summary>
        /// RP:tns:Income.Other.Amount
        /// </summary>
        public decimal? SMSFAR53 = null;

        /// <summary>
        /// RP:tns:Income.Other.Code
        /// </summary>
        public string SMSFAR54 = null;

        /// <summary>
        /// RP:tns:Income.AssessableIncomeDueToFundTaxStatusChange.Amount
        /// </summary>
        public decimal? SMSFAR55 = null;

        /// <summary>
        /// RP:tns:SuperannuationContribution.EmployerAssessable.Amount
        /// </summary>
        public decimal? SMSFAR49 = null;

        /// <summary>
        /// RP:tns:SuperannuationContribution.PersonalAssessable.Amount
        /// </summary>
        public decimal? SMSFAR50 = null;

        /// <summary>
        /// RP:tns:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount
        /// </summary>
        public decimal? SMSFAR51 = null;

        /// <summary>
        /// RP:tns:SuperannuationContribution.LiabilityTransferToLifeInsuranceCompanyOrPooledSuperannuationTrustAssessable.Amount
        /// </summary>
        public decimal? SMSFAR52 = null;

        /// <summary>
        /// RP:tns:Income.NonArmsLengthPrivateCompanyDividendsNet.Amount
        /// </summary>
        public decimal? SMSFAR56 = null;

        /// <summary>
        /// RP:tns:Income.NonArmsLengthTrustDistributionsNet.Amount
        /// </summary>
        public decimal? SMSFAR57 = null;

        /// <summary>
        /// RP:tns:Income.NonArmsLengthOtherNet.Amount
        /// </summary>
        public decimal? SMSFAR58 = null;

        /// <summary>
        /// RP:tns:Income.Taxable.Amount
        /// </summary>
        public decimal? SMSFAR73 = null;

        /// <summary>
        /// RP:tns:Expense.Total.Amount
        /// </summary>
        public decimal? SMSFAR338 = null;

        /// <summary>
        /// RP:tns:IncomeTax.TotalTaxOnTaxableIncome.Amount
        /// </summary>
        public decimal? SMSFAR315 = null;

        /// <summary>
        /// RP:tns:IncomeTax.TFNNotQuotedContributionsTax.Amount
        /// </summary>
        public decimal? SMSFAR316 = null;

        /// <summary>
        /// RP:tns:IncomeTax.TaxableGross.Amount
        /// </summary>
        public decimal? SMSFAR74 = null;

        /// <summary>
        /// RP:tns:Income.InternationalDealings.TaxOffset.Amount
        /// </summary>
        public decimal? SMSFAR75 = null;

        /// <summary>
        /// RP:tns:IncomeTax.TaxOffsetsAndRebatesTotal.Amount
        /// </summary>
        public decimal? SMSFAR76 = null;

        /// <summary>
        /// RP:tns:IncomeTax.TaxOffsetNonRefundableNonCarryForward.Amount
        /// </summary>
        public decimal? SMSFAR305 = null;

        /// <summary>
        /// RP:tns:IncomeTax.SubtotalTaxPayable.Amount
        /// </summary>
        public decimal? SMSFAR304 = null;

        /// <summary>
        /// RP:tns:IncomeTax.TaxOffsetNonRefundableCarryForward.Amount
        /// </summary>
        public decimal? SMSFAR389 = null;

        /// <summary>
        /// RP:tns:IncomeTax.TaxOffsetCarriedForwardSubTotal.Amount
        /// </summary>
        public decimal? SMSFAR390 = null;

        /// <summary>
        /// RP:tns:IncomeTax.FrankingCredits.Refundable.Amount
        /// </summary>
        public decimal? SMSFAR81 = null;

        /// <summary>
        /// RP:tns:IncomeTax.TaxOffsetTFNNotQuoted.Amount
        /// </summary>
        public decimal? SMSFAR225 = null;

        /// <summary>
        /// RP:tns:IncomeTax.TaxOffsetEntitlementForNationalRentalAffordabilityScheme.Amount
        /// </summary>
        public decimal? SMSFAR227 = null;

        /// <summary>
        /// RP:tns:IncomeTax.TaxOffsetExplorationDevelopmentIncentiveCredit.Amount
        /// </summary>
        public decimal? SMSFAR370 = null;

        /// <summary>
        /// RP:tns:IncomeTax.TotalRefundableTaxOffsets.Amount
        /// </summary>
        public decimal? SMSFAR306 = null;

        /// <summary>
        /// RP:tns:IncomeTax.Payable.Amount
        /// </summary>
        public decimal? SMSFAR307 = null;

        /// <summary>
        /// RP:tns:InternationalDealings.AAMInterestSection102.Amount
        /// </summary>
        public decimal? SMSFAR77 = null;

        /// <summary>
        /// RP:tns:Income.Interest.EarlyPaymentCredit.Amount
        /// </summary>
        public decimal? SMSFAR78 = null;

        /// <summary>
        /// RP:tns:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromForeignResidents.Amount
        /// </summary>
        public decimal? SMSFAR79 = null;

        /// <summary>
        /// RP:tns:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldTFNNotQuotedAndABNNotQuoted.Amount
        /// </summary>
        public decimal? SMSFAR80 = null;

        /// <summary>
        /// RP:tns:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrust.Amount
        /// </summary>
        public decimal? SMSFAR298 = null;

        /// <summary>
        /// RP:tns:IncomeTax.TaxOffsetCalculatedInterestTFNNotQuoted.Amount
        /// </summary>
        public decimal? SMSFAR226 = null;

        /// <summary>
        /// RP:tns:IncomeTax.PayAsYouGoWithholding.CreditForCapitalGainsWithheldFromForeignResidents.Amount
        /// </summary>
        public decimal? SMSFAR388 = null;

        /// <summary>
        /// RP:tns:IncomeTax.Deduction.CreditsEligibleTotal.Amount
        /// </summary>
        public decimal? SMSFAR308 = null;

        /// <summary>
        /// RP:tns:IncomeTax.TotalRemainderOfRefundableTaxOffsets.Amount
        /// </summary>
        public decimal? SMSFAR309 = null;

        /// <summary>
        /// RP:tns:IncomeTax.LiabilityInstalmentsTotal.Amount
        /// </summary>
        public decimal? SMSFAR82 = null;

        /// <summary>
        /// RP:tns:IncomeTax.SupervisoryLevy.Amount
        /// </summary>
        public decimal? SMSFAR83 = null;

        /// <summary>
        /// RP:tns:IncomeTax.SupervisoryLevyWoundupAdjustment.Amount
        /// </summary>
        public decimal? SMSFAR361 = null;

        /// <summary>
        /// RP:tns:IncomeTax.SupervisoryLevyNewlyRegisteredAdjustment.Amount
        /// </summary>
        public decimal? SMSFAR362 = null;

        /// <summary>
        /// RP:tns:IncomeTax.PayableOrRefundableTotal.Amount
        /// </summary>
        public decimal? SMSFAR84 = null;

        public bool MemberInformationCollectionExists = false;
        public int MemberInformationCollectionCount = 0;

        public List<MemberInformation> MemberInformationCollection = null;

        public class MemberInformation
        {
            public int OccurrenceIndex = 0;

            /// <summary>
            /// /xbrli:xbrl/tns:MemberInformation
            /// RP:tns:Report.ItemOrder.Number
            /// </summary>
            public string SMSFAR195 = null;

            public bool MemberInformation_PersonNameDetailsCollectionExists = false;
            public int MemberInformation_PersonNameDetailsCollectionCount = 0;

            /// <summary>
            /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']
            /// </summary>
            public bool MemberInformation_PersonNameDetailsCollection_LGL_Identifier_C_RPExists = false;

            /// <summary>
            /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']
            /// </summary>
            public int MemberInformation_PersonNameDetailsCollection_LGL_Identifier_C_RPCount = 0;

            /// <summary>
            /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C'] Occurrence Index
            /// </summary>
            public int MemberInformation_PersonNameDetailsCollection_LGL_Identifier_C_RPOccurrenceIndex = 0;

            /// <summary>
            /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C'] Last Occurrence Index
            /// </summary>
            public int MemberInformation_PersonNameDetailsCollection_LGL_Identifier_C_RPLastOccurrenceIndex = 0;

            /// <summary>
            /// /xbrli:xbrl/tns:MemberInformation/tns:PersonNameDetails
            /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']
            /// RP:tns:PersonNameDetails.PersonNameType.Code
            /// </summary>
            public string SMSFAR251 = null;

            /// <summary>
            /// /xbrli:xbrl/tns:MemberInformation/tns:PersonNameDetails
            /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']
            /// RP:tns:PersonNameDetails.Usage.Code
            /// </summary>
            public string SMSFAR255 = null;

            /// <summary>
            /// /xbrli:xbrl/tns:MemberInformation/tns:PersonNameDetails
            /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']
            /// RP:tns:PersonNameDetails.Currency.Code
            /// </summary>
            public string SMSFAR259 = null;

            /// <summary>
            /// /xbrli:xbrl/tns:MemberInformation/tns:PersonNameDetails
            /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']
            /// RP:tns:PersonNameDetails.Title.Text
            /// </summary>
            public string SMSFAR196 = null;

            /// <summary>
            /// /xbrli:xbrl/tns:MemberInformation/tns:PersonNameDetails
            /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']
            /// RP:tns:PersonNameDetails.NameSuffix.Text
            /// </summary>
            public string SMSFAR198 = null;

            /// <summary>
            /// /xbrli:xbrl/tns:MemberInformation/tns:PersonNameDetails
            /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']
            /// RP:tns:PersonNameDetails.FamilyName.Text
            /// </summary>
            public string SMSFAR197 = null;

            /// <summary>
            /// /xbrli:xbrl/tns:MemberInformation/tns:PersonNameDetails
            /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']
            /// RP:tns:PersonNameDetails.GivenName.Text
            /// </summary>
            public string SMSFAR199 = null;

            /// <summary>
            /// /xbrli:xbrl/tns:MemberInformation/tns:PersonNameDetails
            /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Identifier'].[PersonNameDetails.Currency.Code='C']
            /// RP:tns:PersonNameDetails.OtherGivenName.Text
            /// </summary>
            public string SMSFAR200 = null;

            /// <summary>
            /// /xbrli:xbrl/tns:MemberInformation
            /// RP:tns:Identifiers.TaxFileNumber.Identifier
            /// </summary>
            public string SMSFAR201 = null;

            /// <summary>
            /// /xbrli:xbrl/tns:MemberInformation
            /// RP:tns:PersonDemographicDetails.Birth.Date
            /// </summary>
            public DateTime? SMSFAR202 = null;

            /// <summary>
            /// /xbrli:xbrl/tns:MemberInformation
            /// RP:tns:PersonDemographicDetails.Death.Date
            /// </summary>
            public DateTime? SMSFAR95 = null;

            /// <summary>
            /// /xbrli:xbrl/tns:MemberInformation
            /// RP:tns:SuperannuationFundDetails.MemberAccountStatus.Code
            /// </summary>
            public string SMSFAR354 = null;

            /// <summary>
            /// /xbrli:xbrl/tns:MemberInformation
            /// RP:tns:SuperannuationContribution.EmployerContributions.Amount
            /// </summary>
            public decimal? SMSFAR203 = null;

            /// <summary>
            /// /xbrli:xbrl/tns:MemberInformation
            /// RP:tns:Identifiers.AustralianBusinessNumber.Identifier
            /// </summary>
            public string SMSFAR204 = null;

            /// <summary>
            /// /xbrli:xbrl/tns:MemberInformation
            /// RP:tns:SuperannuationContribution.PersonalContributions.Amount
            /// </summary>
            public decimal? SMSFAR205 = null;

            /// <summary>
            /// /xbrli:xbrl/tns:MemberInformation
            /// RP:tns:SuperannuationContribution.CapitalGainsTaxSmallBusinessRetirementExemption.Amount
            /// </summary>
            public decimal? SMSFAR206 = null;

            /// <summary>
            /// /xbrli:xbrl/tns:MemberInformation
            /// RP:tns:SuperannuationContribution.CapitalGainsTaxSmallBusinessExemption.Amount
            /// </summary>
            public decimal? SMSFAR207 = null;

            /// <summary>
            /// /xbrli:xbrl/tns:MemberInformation
            /// RP:tns:SuperannuationContribution.PersonalInjuryElection.Amount
            /// </summary>
            public decimal? SMSFAR208 = null;

            /// <summary>
            /// /xbrli:xbrl/tns:MemberInformation
            /// RP:tns:SuperannuationContribution.SpouseAndChildContributions.Amount
            /// </summary>
            public decimal? SMSFAR209 = null;

            /// <summary>
            /// /xbrli:xbrl/tns:MemberInformation
            /// RP:tns:SuperannuationContribution.OtherThirdPartyContributions.Amount
            /// </summary>
            public decimal? SMSFAR210 = null;

            /// <summary>
            /// /xbrli:xbrl/tns:MemberInformation
            /// RP:tns:SuperannuationContribution.ForeignSuperannuationFundAssessable.Amount
            /// </summary>
            public decimal? SMSFAR212 = null;

            /// <summary>
            /// /xbrli:xbrl/tns:MemberInformation
            /// RP:tns:SuperannuationContribution.ForeignSuperannuationFundNonAssessable.Amount
            /// </summary>
            public decimal? SMSFAR213 = null;

            /// <summary>
            /// /xbrli:xbrl/tns:MemberInformation
            /// RP:tns:SuperannuationContribution.TransferFromReserveAssessable.Amount
            /// </summary>
            public decimal? SMSFAR214 = null;

            /// <summary>
            /// /xbrli:xbrl/tns:MemberInformation
            /// RP:tns:SuperannuationContribution.TransferFromReserveNonAssessable.Amount
            /// </summary>
            public decimal? SMSFAR215 = null;

            /// <summary>
            /// /xbrli:xbrl/tns:MemberInformation
            /// RP:tns:SuperannuationContribution.NonComplyingFundsAndPreviouslyNonComplyingFunds.Amount
            /// </summary>
            public decimal? SMSFAR310 = null;

            /// <summary>
            /// /xbrli:xbrl/tns:MemberInformation
            /// RP:tns:SuperannuationContribution.TotalOther.Amount
            /// </summary>
            public decimal? SMSFAR216 = null;

            /// <summary>
            /// /xbrli:xbrl/tns:MemberInformation
            /// RP:tns:SuperannuationContribution.MemberTotal.Amount
            /// </summary>
            public decimal? SMSFAR217 = null;

            /// <summary>
            /// /xbrli:xbrl/tns:MemberInformation
            /// RP:tns:SuperannuationContribution.MemberAllocatedEarningsOrLosses.Amount
            /// </summary>
            public decimal? SMSFAR218 = null;

            /// <summary>
            /// /xbrli:xbrl/tns:MemberInformation
            /// RP:tns:SuperannuationRollover.Received.Amount
            /// </summary>
            public decimal? SMSFAR219 = null;

            /// <summary>
            /// /xbrli:xbrl/tns:MemberInformation
            /// RP:tns:SuperannuationRollover.Paid.Amount
            /// </summary>
            public decimal? SMSFAR220 = null;

            /// <summary>
            /// /xbrli:xbrl/tns:MemberInformation
            /// RP:tns:SuperannuationPayment.BenefitLumpSum.Amount
            /// </summary>
            public decimal? SMSFAR340 = null;

            /// <summary>
            /// /xbrli:xbrl/tns:MemberInformation
            /// RP:tns:SuperannuationPayment.BenefitLumpSum.Code
            /// </summary>
            public string SMSFAR341 = null;

            /// <summary>
            /// /xbrli:xbrl/tns:MemberInformation
            /// RP:tns:SuperannuationPayment.BenefitPensions.Amount
            /// </summary>
            public decimal? SMSFAR342 = null;

            /// <summary>
            /// /xbrli:xbrl/tns:MemberInformation
            /// RP:tns:SuperannuationPayment.BenefitPensions.Code
            /// </summary>
            public string SMSFAR343 = null;

            /// <summary>
            /// /xbrli:xbrl/tns:MemberInformation
            /// RPClosing:tns:SuperannuationBenefit.AccountBalance.Amount
            /// </summary>
            public decimal? SMSFAR223 = null;
        }

        /// <summary>
        /// RP:tns:Assets.BorrowingLicensedFinancialInstitution.Indicator
        /// </summary>
        public bool? SMSFAR384 = null;

        /// <summary>
        /// RP:tns:Assets.PersonalGuaranteesOtherSecurity.Indicator
        /// </summary>
        public bool? SMSFAR385 = null;

        /// <summary>
        /// RP:tns:Liabilities.BorrowingsLimited.Amount
        /// </summary>
        public decimal? SMSFAR381 = null;

        /// <summary>
        /// RP:tns:Liabilities.BorrowingsTemporary.Amount
        /// </summary>
        public decimal? SMSFAR382 = null;

        /// <summary>
        /// RP:tns:Liabilities.BorrowingsOther.Amount
        /// </summary>
        public decimal? SMSFAR383 = null;

        /// <summary>
        /// RP:tns:Liabilities.Borrowings.Amount
        /// </summary>
        public decimal? SMSFAR136 = null;

        /// <summary>
        /// RP:tns:Elections.FamilyTrustElectionStatus.Year
        /// </summary>
        public int? SMSFAR162 = null;

        /// <summary>
        /// RP:tns:Elections.FamilyTrustElectionRevocation.Code
        /// </summary>
        public string SMSFAR163 = null;

        /// <summary>
        /// RP:tns:Elections.InterposedEntityElectionStatus.Year
        /// </summary>
        public int? SMSFAR164 = null;

        /// <summary>
        /// RP:tns:Elections.InterposedEntityElectionRevocation.Code
        /// </summary>
        public string SMSFAR165 = null;

        /// <summary>
        /// RP:tns:RegulatoryDisclosures.GeneralInformationAboutFinancialStatements.Text
        /// </summary>
        public string SMSFAR355 = null;

        /// <summary>
        /// RP:tns:Report.CompletionHours.Number
        /// </summary>
        public decimal? SMSFAR176 = null;

        public bool DeclarationCollectionExists = false;
        public int DeclarationCollectionCount = 0;

        /// <summary>
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// </summary>
        public bool DeclarationCollection_TrueAndCorrect_RPExists = false;

        /// <summary>
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// </summary>
        public int DeclarationCollection_TrueAndCorrect_RPCount = 0;

        /// <summary>
        /// [Declaration.StatementType.Code='TrueAndCorrect'] Occurrence Index
        /// </summary>
        public int DeclarationCollection_TrueAndCorrect_RPOccurrenceIndex = 0;

        /// <summary>
        /// [Declaration.StatementType.Code='TrueAndCorrect'] Last Occurrence Index
        /// </summary>
        public int DeclarationCollection_TrueAndCorrect_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// RP:tns:Declaration.StatementType.Code
        /// </summary>
        public string SMSFAR267 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// RP:tns:Declaration.StatementAccepted.Indicator
        /// </summary>
        public bool? SMSFAR268 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// RP:tns:Declaration.SignatoryIdentifier.Text
        /// </summary>
        public string SMSFAR269 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// RP:tns:Declaration.Statement.Text
        /// </summary>
        public string SMSFAR191 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// RP:tns:Declaration.Signature.Date
        /// </summary>
        public DateTime? SMSFAR192 = null;

        public bool Declaration_PersonUnstructuredNameCollectionExists = false;
        public int Declaration_PersonUnstructuredNameCollectionCount = 0;

        /// <summary>
        /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory']
        /// </summary>
        public bool Declaration_PersonUnstructuredNameCollection_DeclarationSignatory_RPExists = false;

        /// <summary>
        /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory']
        /// </summary>
        public int Declaration_PersonUnstructuredNameCollection_DeclarationSignatory_RPCount = 0;

        /// <summary>
        /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory'] Occurrence Index
        /// </summary>
        public int Declaration_PersonUnstructuredNameCollection_DeclarationSignatory_RPOccurrenceIndex = 0;

        /// <summary>
        /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory'] Last Occurrence Index
        /// </summary>
        public int Declaration_PersonUnstructuredNameCollection_DeclarationSignatory_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration/tns:PersonUnstructuredName
        /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory']
        /// RP:tns:PersonUnstructuredName.Usage.Code
        /// </summary>
        public string SMSFAR277 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration/tns:PersonUnstructuredName
        /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory']
        /// RP:tns:PersonUnstructuredName.FullName.Text
        /// </summary>
        public string SMSFAR278 = null;

        public bool TrusteeOrDirectorCollectionExists = false;
        public int TrusteeOrDirectorCollectionCount = 0;

        public bool TrusteeOrDirector_PersonNameDetailsCollectionExists = false;
        public int TrusteeOrDirector_PersonNameDetailsCollectionCount = 0;

        /// <summary>
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// </summary>
        public bool TrusteeOrDirector_PersonNameDetailsCollection_LGL_Contact_C_RPExists = false;

        /// <summary>
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// </summary>
        public int TrusteeOrDirector_PersonNameDetailsCollection_LGL_Contact_C_RPCount = 0;

        /// <summary>
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C'] Occurrence Index
        /// </summary>
        public int TrusteeOrDirector_PersonNameDetailsCollection_LGL_Contact_C_RPOccurrenceIndex = 0;

        /// <summary>
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C'] Last Occurrence Index
        /// </summary>
        public int TrusteeOrDirector_PersonNameDetailsCollection_LGL_Contact_C_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:TrusteeOrDirector/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// RP:tns:PersonNameDetails.PersonNameType.Code
        /// </summary>
        public string SMSFAR252 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:TrusteeOrDirector/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// RP:tns:PersonNameDetails.Usage.Code
        /// </summary>
        public string SMSFAR256 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:TrusteeOrDirector/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// RP:tns:PersonNameDetails.Currency.Code
        /// </summary>
        public string SMSFAR260 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:TrusteeOrDirector/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// RP:tns:PersonNameDetails.Title.Text
        /// </summary>
        public string SMSFAR166 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:TrusteeOrDirector/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// RP:tns:PersonNameDetails.NameSuffix.Text
        /// </summary>
        public string SMSFAR168 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:TrusteeOrDirector/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// RP:tns:PersonNameDetails.FamilyName.Text
        /// </summary>
        public string SMSFAR167 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:TrusteeOrDirector/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// RP:tns:PersonNameDetails.GivenName.Text
        /// </summary>
        public string SMSFAR169 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:TrusteeOrDirector/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// RP:tns:PersonNameDetails.OtherGivenName.Text
        /// </summary>
        public string SMSFAR170 = null;

        public bool TrusteeOrDirector_ElectronicContactTelephoneCollectionExists = false;
        public int TrusteeOrDirector_ElectronicContactTelephoneCollectionCount = 0;

        /// <summary>
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// </summary>
        public bool TrusteeOrDirector_ElectronicContactTelephoneCollection_03_RPExists = false;

        /// <summary>
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// </summary>
        public int TrusteeOrDirector_ElectronicContactTelephoneCollection_03_RPCount = 0;

        /// <summary>
        /// [ElectronicContact.Telephone.Usage.Code='03'] Occurrence Index
        /// </summary>
        public int TrusteeOrDirector_ElectronicContactTelephoneCollection_03_RPOccurrenceIndex = 0;

        /// <summary>
        /// [ElectronicContact.Telephone.Usage.Code='03'] Last Occurrence Index
        /// </summary>
        public int TrusteeOrDirector_ElectronicContactTelephoneCollection_03_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:TrusteeOrDirector/tns:ElectronicContactTelephone
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// RP:tns:ElectronicContact.Telephone.Usage.Code
        /// </summary>
        public string SMSFAR262 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:TrusteeOrDirector/tns:ElectronicContactTelephone
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// RP:tns:ElectronicContact.Telephone.ServiceLine.Code
        /// </summary>
        public string SMSFAR265 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:TrusteeOrDirector/tns:ElectronicContactTelephone
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// RP:tns:ElectronicContact.Telephone.Area.Code
        /// </summary>
        public string SMSFAR171 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:TrusteeOrDirector/tns:ElectronicContactTelephone
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// RP:tns:ElectronicContact.Telephone.Minimal.Number
        /// </summary>
        public string SMSFAR172 = null;

        public bool TrusteeOrDirector_ElectronicContactElectronicMailCollectionExists = false;
        public int TrusteeOrDirector_ElectronicContactElectronicMailCollectionCount = 0;

        /// <summary>
        /// [ElectronicContact.ElectronicMail.Usage.Code='03']
        /// </summary>
        public bool TrusteeOrDirector_ElectronicContactElectronicMailCollection_03_RPExists = false;

        /// <summary>
        /// [ElectronicContact.ElectronicMail.Usage.Code='03']
        /// </summary>
        public int TrusteeOrDirector_ElectronicContactElectronicMailCollection_03_RPCount = 0;

        /// <summary>
        /// [ElectronicContact.ElectronicMail.Usage.Code='03'] Occurrence Index
        /// </summary>
        public int TrusteeOrDirector_ElectronicContactElectronicMailCollection_03_RPOccurrenceIndex = 0;

        /// <summary>
        /// [ElectronicContact.ElectronicMail.Usage.Code='03'] Last Occurrence Index
        /// </summary>
        public int TrusteeOrDirector_ElectronicContactElectronicMailCollection_03_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:TrusteeOrDirector/tns:ElectronicContactElectronicMail
        /// [ElectronicContact.ElectronicMail.Usage.Code='03']
        /// RP:tns:ElectronicContact.ElectronicMail.Usage.Code
        /// </summary>
        public string SMSFAR284 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:TrusteeOrDirector/tns:ElectronicContactElectronicMail
        /// [ElectronicContact.ElectronicMail.Usage.Code='03']
        /// RP:tns:ElectronicContact.ElectronicMail.Address.Text
        /// </summary>
        public string SMSFAR173 = null;

        public bool TrusteeOrDirector_OrganisationNameDetailsCollectionExists = false;
        public int TrusteeOrDirector_OrganisationNameDetailsCollectionCount = 0;

        /// <summary>
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// </summary>
        public bool TrusteeOrDirector_OrganisationNameDetailsCollection_MN_C_RPExists = false;

        /// <summary>
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// </summary>
        public int TrusteeOrDirector_OrganisationNameDetailsCollection_MN_C_RPCount = 0;

        /// <summary>
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C'] Occurrence Index
        /// </summary>
        public int TrusteeOrDirector_OrganisationNameDetailsCollection_MN_C_RPOccurrenceIndex = 0;

        /// <summary>
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C'] Last Occurrence Index
        /// </summary>
        public int TrusteeOrDirector_OrganisationNameDetailsCollection_MN_C_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:TrusteeOrDirector/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// RP:tns:OrganisationNameDetails.OrganisationalNameType.Code
        /// </summary>
        public string SMSFAR236 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:TrusteeOrDirector/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// RP:tns:OrganisationNameDetails.Currency.Code
        /// </summary>
        public string SMSFAR317 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:TrusteeOrDirector/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// RP:tns:OrganisationNameDetails.OrganisationalName.Text
        /// </summary>
        public string SMSFAR174 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:TrusteeOrDirector
        /// RP:tns:Identifiers.AustralianBusinessNumber.Identifier
        /// </summary>
        public string SMSFAR175 = null;

        public string RPInstantId = null;
        public bool RPInstantExists = false;
        public int RPInstantCount = 0;
        public int RPInstantOccurrenceIndex = 0;
        public int RPInstantLastOccurrenceIndex = 0;
        public string RPInstantIdentifier = null;
        public string RPInstantIdentifierScheme = null;
        public string RPInstantIdentifierTFN = null;
        public DateTime? RPInstantInstantDate = null;

        /// <summary>
        /// RPInstant:tns:Liabilities.Other.Amount
        /// </summary>
        public decimal? SMSFAR139 = null;

        public string INTId = null;
        public bool INTExists = false;
        public int INTCount = 0;
        public int INTOccurrenceIndex = 0;
        public int INTLastOccurrenceIndex = 0;
        public string INTIdentifier = null;
        public string INTIdentifierScheme = null;
        public string INTIdentifierABN = null;
        public DateTime? INTStartDate = null;
        public DateTime? INTEndDate = null;

        /// <summary>
        /// INT:tns:Identifiers.TaxAgentClientReference.Text
        /// </summary>
        public string SMSFAR185 = null;

        /// <summary>
        /// INT:tns:Identifiers.TaxAgentNumber.Identifier
        /// </summary>
        public string SMSFAR2 = null;

        /// <summary>
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// </summary>
        public bool DeclarationCollection_TrueAndCorrect_INTExists = false;

        /// <summary>
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// </summary>
        public int DeclarationCollection_TrueAndCorrect_INTCount = 0;

        /// <summary>
        /// [Declaration.StatementType.Code='TrueAndCorrect'] Occurrence Index
        /// </summary>
        public int DeclarationCollection_TrueAndCorrect_INTOccurrenceIndex = 0;

        /// <summary>
        /// [Declaration.StatementType.Code='TrueAndCorrect'] Last Occurrence Index
        /// </summary>
        public int DeclarationCollection_TrueAndCorrect_INTLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// INT:tns:Declaration.StatementType.Code
        /// </summary>
        public string SMSFAR270 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// INT:tns:Declaration.StatementAccepted.Indicator
        /// </summary>
        public bool? SMSFAR271 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// INT:tns:Declaration.SignatoryIdentifier.Text
        /// </summary>
        public string SMSFAR272 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// INT:tns:Declaration.Statement.Text
        /// </summary>
        public string SMSFAR193 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// INT:tns:Declaration.Signature.Date
        /// </summary>
        public DateTime? SMSFAR194 = null;

        /// <summary>
        /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory']
        /// </summary>
        public bool Declaration_PersonUnstructuredNameCollection_DeclarationSignatory_INTExists = false;

        /// <summary>
        /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory']
        /// </summary>
        public int Declaration_PersonUnstructuredNameCollection_DeclarationSignatory_INTCount = 0;

        /// <summary>
        /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory'] Occurrence Index
        /// </summary>
        public int Declaration_PersonUnstructuredNameCollection_DeclarationSignatory_INTOccurrenceIndex = 0;

        /// <summary>
        /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory'] Last Occurrence Index
        /// </summary>
        public int Declaration_PersonUnstructuredNameCollection_DeclarationSignatory_INTLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration/tns:PersonUnstructuredName
        /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory']
        /// INT:tns:PersonUnstructuredName.Usage.Code
        /// </summary>
        public string SMSFAR279 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration/tns:PersonUnstructuredName
        /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory']
        /// INT:tns:PersonUnstructuredName.FullName.Text
        /// </summary>
        public string SMSFAR280 = null;

        public bool PersonNameDetailsCollectionExists = false;
        public int PersonNameDetailsCollectionCount = 0;

        /// <summary>
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// </summary>
        public bool PersonNameDetailsCollection_LGL_Contact_C_INTExists = false;

        /// <summary>
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// </summary>
        public int PersonNameDetailsCollection_LGL_Contact_C_INTCount = 0;

        /// <summary>
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C'] Occurrence Index
        /// </summary>
        public int PersonNameDetailsCollection_LGL_Contact_C_INTOccurrenceIndex = 0;

        /// <summary>
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C'] Last Occurrence Index
        /// </summary>
        public int PersonNameDetailsCollection_LGL_Contact_C_INTLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// INT:tns:PersonNameDetails.PersonNameType.Code
        /// </summary>
        public string SMSFAR273 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// INT:tns:PersonNameDetails.Usage.Code
        /// </summary>
        public string SMSFAR274 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// INT:tns:PersonNameDetails.Currency.Code
        /// </summary>
        public string SMSFAR275 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// INT:tns:PersonNameDetails.Title.Text
        /// </summary>
        public string SMSFAR177 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// INT:tns:PersonNameDetails.NameSuffix.Text
        /// </summary>
        public string SMSFAR179 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// INT:tns:PersonNameDetails.FamilyName.Text
        /// </summary>
        public string SMSFAR178 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// INT:tns:PersonNameDetails.GivenName.Text
        /// </summary>
        public string SMSFAR180 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// INT:tns:PersonNameDetails.OtherGivenName.Text
        /// </summary>
        public string SMSFAR181 = null;

        /// <summary>
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// </summary>
        public bool OrganisationNameDetailsCollection_MN_C_INTExists = false;

        /// <summary>
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// </summary>
        public int OrganisationNameDetailsCollection_MN_C_INTCount = 0;

        /// <summary>
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C'] Occurrence Index
        /// </summary>
        public int OrganisationNameDetailsCollection_MN_C_INTOccurrenceIndex = 0;

        /// <summary>
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C'] Last Occurrence Index
        /// </summary>
        public int OrganisationNameDetailsCollection_MN_C_INTLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// INT:tns:OrganisationNameDetails.OrganisationalNameType.Code
        /// </summary>
        public string SMSFAR276 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// INT:tns:OrganisationNameDetails.Currency.Code
        /// </summary>
        public string SMSFAR318 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// INT:tns:OrganisationNameDetails.OrganisationalName.Text
        /// </summary>
        public string SMSFAR182 = null;

        public bool ElectronicContactTelephoneCollectionExists = false;
        public int ElectronicContactTelephoneCollectionCount = 0;

        /// <summary>
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// </summary>
        public bool ElectronicContactTelephoneCollection_03_INTExists = false;

        /// <summary>
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// </summary>
        public int ElectronicContactTelephoneCollection_03_INTCount = 0;

        /// <summary>
        /// [ElectronicContact.Telephone.Usage.Code='03'] Occurrence Index
        /// </summary>
        public int ElectronicContactTelephoneCollection_03_INTOccurrenceIndex = 0;

        /// <summary>
        /// [ElectronicContact.Telephone.Usage.Code='03'] Last Occurrence Index
        /// </summary>
        public int ElectronicContactTelephoneCollection_03_INTLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:ElectronicContactTelephone
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// INT:tns:ElectronicContact.Telephone.Usage.Code
        /// </summary>
        public string SMSFAR263 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:ElectronicContactTelephone
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// INT:tns:ElectronicContact.Telephone.ServiceLine.Code
        /// </summary>
        public string SMSFAR266 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:ElectronicContactTelephone
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// INT:tns:ElectronicContact.Telephone.Area.Code
        /// </summary>
        public string SMSFAR183 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:ElectronicContactTelephone
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// INT:tns:ElectronicContact.Telephone.Minimal.Number
        /// </summary>
        public string SMSFAR184 = null;

        public string AuditorId = null;
        public bool AuditorExists = false;
        public int AuditorCount = 0;
        public int AuditorOccurrenceIndex = 0;
        public int AuditorLastOccurrenceIndex = 0;
        public string AuditorIdentifier = null;
        public string AuditorIdentifierScheme = null;
        public string AuditorIdentifierSAN = null;
        public DateTime? AuditorStartDate = null;
        public DateTime? AuditorEndDate = null;

        /// <summary>
        /// Auditor:tns:Identifiers.RegisteredAuditorNumber.Identifier
        /// </summary>
        public string SMSFAR300 = null;

        /// <summary>
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// </summary>
        public bool PersonNameDetailsCollection_LGL_Contact_C_AuditorExists = false;

        /// <summary>
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// </summary>
        public int PersonNameDetailsCollection_LGL_Contact_C_AuditorCount = 0;

        /// <summary>
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C'] Occurrence Index
        /// </summary>
        public int PersonNameDetailsCollection_LGL_Contact_C_AuditorOccurrenceIndex = 0;

        /// <summary>
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C'] Last Occurrence Index
        /// </summary>
        public int PersonNameDetailsCollection_LGL_Contact_C_AuditorLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// Auditor:tns:PersonNameDetails.PersonNameType.Code
        /// </summary>
        public string SMSFAR249 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// Auditor:tns:PersonNameDetails.Usage.Code
        /// </summary>
        public string SMSFAR253 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// Auditor:tns:PersonNameDetails.Currency.Code
        /// </summary>
        public string SMSFAR257 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// Auditor:tns:PersonNameDetails.Title.Text
        /// </summary>
        public string SMSFAR10 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// Auditor:tns:PersonNameDetails.NameSuffix.Text
        /// </summary>
        public string SMSFAR12 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// Auditor:tns:PersonNameDetails.FamilyName.Text
        /// </summary>
        public string SMSFAR11 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// Auditor:tns:PersonNameDetails.GivenName.Text
        /// </summary>
        public string SMSFAR13 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// Auditor:tns:PersonNameDetails.OtherGivenName.Text
        /// </summary>
        public string SMSFAR14 = null;

        /// <summary>
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// </summary>
        public bool ElectronicContactTelephoneCollection_03_AuditorExists = false;

        /// <summary>
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// </summary>
        public int ElectronicContactTelephoneCollection_03_AuditorCount = 0;

        /// <summary>
        /// [ElectronicContact.Telephone.Usage.Code='03'] Occurrence Index
        /// </summary>
        public int ElectronicContactTelephoneCollection_03_AuditorOccurrenceIndex = 0;

        /// <summary>
        /// [ElectronicContact.Telephone.Usage.Code='03'] Last Occurrence Index
        /// </summary>
        public int ElectronicContactTelephoneCollection_03_AuditorLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:ElectronicContactTelephone
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// Auditor:tns:ElectronicContact.Telephone.Usage.Code
        /// </summary>
        public string SMSFAR261 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:ElectronicContactTelephone
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// Auditor:tns:ElectronicContact.Telephone.ServiceLine.Code
        /// </summary>
        public string SMSFAR264 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:ElectronicContactTelephone
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// Auditor:tns:ElectronicContact.Telephone.Area.Code
        /// </summary>
        public string SMSFAR17 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:ElectronicContactTelephone
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// Auditor:tns:ElectronicContact.Telephone.Minimal.Number
        /// </summary>
        public string SMSFAR18 = null;

        /// <summary>
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// </summary>
        public bool AddressDetailsCollection_POS_C_AuditorExists = false;

        /// <summary>
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// </summary>
        public int AddressDetailsCollection_POS_C_AuditorCount = 0;

        /// <summary>
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C'] Occurrence Index
        /// </summary>
        public int AddressDetailsCollection_POS_C_AuditorOccurrenceIndex = 0;

        /// <summary>
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C'] Last Occurrence Index
        /// </summary>
        public int AddressDetailsCollection_POS_C_AuditorLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// Auditor:tns:AddressDetails.OverseasAddress.Indicator
        /// </summary>
        public bool? SMSFAR286 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// Auditor:tns:AddressDetails.Usage.Code
        /// </summary>
        public string SMSFAR238 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// Auditor:tns:AddressDetails.Currency.Code
        /// </summary>
        public string SMSFAR285 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// Auditor:tns:AddressDetails.Line1.Text
        /// </summary>
        public string SMSFAR19 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// Auditor:tns:AddressDetails.Line2.Text
        /// </summary>
        public string SMSFAR240 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// Auditor:tns:AddressDetails.Line3.Text
        /// </summary>
        public string SMSFAR242 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// Auditor:tns:AddressDetails.Line4.Text
        /// </summary>
        public string SMSFAR244 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// Auditor:tns:AddressDetails.LocalityName.Text
        /// </summary>
        public string SMSFAR20 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// Auditor:tns:AddressDetails.Postcode.Text
        /// </summary>
        public string SMSFAR22 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// Auditor:tns:AddressDetails.StateOrTerritory.Code
        /// </summary>
        public string SMSFAR21 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// Auditor:tns:AddressDetails.CountryName.Text
        /// </summary>
        public string SMSFAR287 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// Auditor:tns:AddressDetails.Country.Code
        /// </summary>
        public string SMSFAR246 = null;

        public string RPJAUSId = null;
        public bool RPJAUSExists = false;
        public int RPJAUSCount = 0;
        public int RPJAUSOccurrenceIndex = 0;
        public int RPJAUSLastOccurrenceIndex = 0;
        public string RPJAUSIdentifier = null;
        public string RPJAUSIdentifierScheme = null;
        public string RPJAUSIdentifierTFN = null;
        public DateTime? RPJAUSStartDate = null;
        public DateTime? RPJAUSEndDate = null;

        /// <summary>
        /// RPJAUS:tns:Assets.Investment.UnitTrustsListed.Amount
        /// </summary>
        public decimal? SMSFAR117 = null;

        /// <summary>
        /// RPJAUS:tns:Assets.Investment.UnitTrustsUnlisted.Amount
        /// </summary>
        public decimal? SMSFAR118 = null;

        /// <summary>
        /// RPJAUS:tns:Assets.DebtSecurities.Amount
        /// </summary>
        public decimal? SMSFAR122 = null;

        /// <summary>
        /// RPJAUS:tns:Assets.Investment.EquitySecuritiesListed.Amount
        /// </summary>
        public decimal? SMSFAR124 = null;

        /// <summary>
        /// RPJAUS:tns:Assets.Investment.EquitySecuritiesUnlisted.Amount
        /// </summary>
        public decimal? SMSFAR125 = null;

        /// <summary>
        /// RPJAUS:tns:Assets.LimitedRecourseBorrowing.Amount
        /// </summary>
        public decimal? SMSFAR311 = null;

        /// <summary>
        /// RPJAUS:tns:Assets.Investment.PropertyNonResidential.Amount
        /// </summary>
        public decimal? SMSFAR127 = null;

        /// <summary>
        /// RPJAUS:tns:Assets.Investment.PropertyResidential.Amount
        /// </summary>
        public decimal? SMSFAR128 = null;

        /// <summary>
        /// RPJAUS:tns:Assets.Investment.Collectables.Amount
        /// </summary>
        public decimal? SMSFAR312 = null;

        public string RPJFOREIGNId = null;
        public bool RPJFOREIGNExists = false;
        public int RPJFOREIGNCount = 0;
        public int RPJFOREIGNOccurrenceIndex = 0;
        public int RPJFOREIGNLastOccurrenceIndex = 0;
        public string RPJFOREIGNIdentifier = null;
        public string RPJFOREIGNIdentifierScheme = null;
        public string RPJFOREIGNIdentifierTFN = null;
        public DateTime? RPJFOREIGNStartDate = null;
        public DateTime? RPJFOREIGNEndDate = null;

        /// <summary>
        /// RPJFOREIGN:tns:Income.Gross.Amount
        /// </summary>
        public decimal? SMSFAR37 = null;

        /// <summary>
        /// RPJFOREIGN:tns:Income.Net.Amount
        /// </summary>
        public decimal? SMSFAR38 = null;

        /// <summary>
        /// RPJFOREIGN:tns:Assets.Investment.PropertyNonResidential.Amount
        /// </summary>
        public decimal? SMSFAR132 = null;

        /// <summary>
        /// RPJFOREIGN:tns:Assets.Investment.PropertyResidential.Amount
        /// </summary>
        public decimal? SMSFAR133 = null;

        public string RPClosingId = null;
        public bool RPClosingExists = false;
        public int RPClosingCount = 0;
        public int RPClosingOccurrenceIndex = 0;
        public int RPClosingLastOccurrenceIndex = 0;
        public string RPClosingIdentifier = null;
        public string RPClosingIdentifierScheme = null;
        public string RPClosingIdentifierTFN = null;
        public DateTime? RPClosingStartDate = null;
        public DateTime? RPClosingEndDate = null;

        /// <summary>
        /// RPClosing:tns:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount
        /// </summary>
        public decimal? SMSFAR85 = null;

        /// <summary>
        /// RPClosing:tns:Assets.RelatedParties.InHouse.Indicator
        /// </summary>
        public bool? SMSFAR350 = null;

        /// <summary>
        /// RPClosing:tns:Equity.MemberAccountBalance.Amount
        /// </summary>
        public decimal? SMSFAR137 = null;

        public string RPClosingInstantId = null;
        public bool RPClosingInstantExists = false;
        public int RPClosingInstantCount = 0;
        public int RPClosingInstantOccurrenceIndex = 0;
        public int RPClosingInstantLastOccurrenceIndex = 0;
        public string RPClosingInstantIdentifier = null;
        public string RPClosingInstantIdentifierScheme = null;
        public string RPClosingInstantIdentifierTFN = null;
        public DateTime? RPClosingInstantInstantDate = null;

        /// <summary>
        /// RPClosingInstant:tns:Assets.RelatedParties.InHouse.Amount
        /// </summary>
        public decimal? SMSFAR351 = null;

        /// <summary>
        /// RPClosingInstant:tns:Equity.NetAssetsNotAllocatedToMembers.Amount
        /// </summary>
        public decimal? SMSFAR138 = null;

        public string RPTOFAId = null;
        public bool RPTOFAExists = false;
        public int RPTOFACount = 0;
        public int RPTOFAOccurrenceIndex = 0;
        public int RPTOFALastOccurrenceIndex = 0;
        public string RPTOFAIdentifier = null;
        public string RPTOFAIdentifierScheme = null;
        public string RPTOFAIdentifierTFN = null;
        public DateTime? RPTOFAStartDate = null;
        public DateTime? RPTOFAEndDate = null;

        /// <summary>
        /// RPTOFA:tns:Income.GainsTotal.Amount
        /// </summary>
        public decimal? SMSFAR228 = null;

        /// <summary>
        /// RPTOFA:tns:Expense.LossesTotal.Amount
        /// </summary>
        public decimal? SMSFAR230 = null;

        public string RPDeductibleId = null;
        public bool RPDeductibleExists = false;
        public int RPDeductibleCount = 0;
        public int RPDeductibleOccurrenceIndex = 0;
        public int RPDeductibleLastOccurrenceIndex = 0;
        public string RPDeductibleIdentifier = null;
        public string RPDeductibleIdentifierScheme = null;
        public string RPDeductibleIdentifierTFN = null;
        public DateTime? RPDeductibleStartDate = null;
        public DateTime? RPDeductibleEndDate = null;

        /// <summary>
        /// RPDeductible:tns:Expense.CapitalWorks.Amount
        /// </summary>
        public decimal? SMSFAR62 = null;

        /// <summary>
        /// RPDeductible:tns:Expense.DepreciationandAmortisation.Amount
        /// </summary>
        public decimal? SMSFAR63 = null;

        /// <summary>
        /// RPDeductible:tns:Expense.PremiumsDeathOrDisability.Amount
        /// </summary>
        public decimal? SMSFAR64 = null;

        /// <summary>
        /// RPDeductible:tns:Expense.DeathBenefitLumpSumIncrease.Amount
        /// </summary>
        public decimal? SMSFAR65 = null;

        /// <summary>
        /// RPDeductible:tns:Expense.Operating.ApprovedAuditorFee.Amount
        /// </summary>
        public decimal? SMSFAR66 = null;

        /// <summary>
        /// RPDeductible:tns:Expense.Investment.Amount
        /// </summary>
        public decimal? SMSFAR67 = null;

        /// <summary>
        /// RPDeductible:tns:Expense.Operating.GeneralManagementAndAdministrationFees.Amount
        /// </summary>
        public decimal? SMSFAR302 = null;

        /// <summary>
        /// RPDeductible:tns:Expense.ForestryManagedInvestmentScheme.Amount
        /// </summary>
        public decimal? SMSFAR69 = null;

        /// <summary>
        /// RPDeductible:tns:Expense.Other.Amount
        /// </summary>
        public decimal? SMSFAR70 = null;

        /// <summary>
        /// RPDeductible:tns:Expense.Other.Code
        /// </summary>
        public string SMSFAR71 = null;

        /// <summary>
        /// RPDeductible:tns:IncomeTax.Deduction.TaxLossesDeducted.Amount
        /// </summary>
        public decimal? SMSFAR72 = null;

        public string RPNonDeductibleId = null;
        public bool RPNonDeductibleExists = false;
        public int RPNonDeductibleCount = 0;
        public int RPNonDeductibleOccurrenceIndex = 0;
        public int RPNonDeductibleLastOccurrenceIndex = 0;
        public string RPNonDeductibleIdentifier = null;
        public string RPNonDeductibleIdentifierScheme = null;
        public string RPNonDeductibleIdentifierTFN = null;
        public DateTime? RPNonDeductibleStartDate = null;
        public DateTime? RPNonDeductibleEndDate = null;

        /// <summary>
        /// RPNonDeductible:tns:Expense.CapitalWorks.Amount
        /// </summary>
        public decimal? SMSFAR331 = null;

        /// <summary>
        /// RPNonDeductible:tns:Expense.DepreciationandAmortisation.Amount
        /// </summary>
        public decimal? SMSFAR332 = null;

        /// <summary>
        /// RPNonDeductible:tns:Expense.PremiumsDeathOrDisability.Amount
        /// </summary>
        public decimal? SMSFAR353 = null;

        /// <summary>
        /// RPNonDeductible:tns:Expense.Operating.ApprovedAuditorFee.Amount
        /// </summary>
        public decimal? SMSFAR333 = null;

        /// <summary>
        /// RPNonDeductible:tns:Expense.Investment.Amount
        /// </summary>
        public decimal? SMSFAR334 = null;

        /// <summary>
        /// RPNonDeductible:tns:Expense.Operating.GeneralManagementAndAdministrationFees.Amount
        /// </summary>
        public decimal? SMSFAR349 = null;

        /// <summary>
        /// RPNonDeductible:tns:Expense.ForestryManagedInvestmentScheme.Amount
        /// </summary>
        public decimal? SMSFAR335 = null;

        /// <summary>
        /// RPNonDeductible:tns:Expense.Other.Amount
        /// </summary>
        public decimal? SMSFAR336 = null;

        /// <summary>
        /// RPNonDeductible:tns:Expense.Other.Code
        /// </summary>
        public string SMSFAR337 = null;

        public string RPClosingJAUSInstantId = null;
        public bool RPClosingJAUSInstantExists = false;
        public int RPClosingJAUSInstantCount = 0;
        public int RPClosingJAUSInstantOccurrenceIndex = 0;
        public int RPClosingJAUSInstantLastOccurrenceIndex = 0;
        public string RPClosingJAUSInstantIdentifier = null;
        public string RPClosingJAUSInstantIdentifierScheme = null;
        public string RPClosingJAUSInstantIdentifierTFN = null;
        public DateTime? RPClosingJAUSInstantInstantDate = null;

        /// <summary>
        /// RPClosingJAUSInstant:tns:Assets.Investment.SecuritiesAndOrInsurancePoliciesHeldInLifeCompanies.Amount
        /// </summary>
        public decimal? SMSFAR119 = null;

        /// <summary>
        /// RPClosingJAUSInstant:tns:Assets.ManagedInvestments.Amount
        /// </summary>
        public decimal? SMSFAR120 = null;

        /// <summary>
        /// RPClosingJAUSInstant:tns:Assets.CashAndLiquidAssets.Total.Amount
        /// </summary>
        public decimal? SMSFAR121 = null;

        /// <summary>
        /// RPClosingJAUSInstant:tns:Assets.LoansAndReceivables.Held.Amount
        /// </summary>
        public decimal? SMSFAR123 = null;

        /// <summary>
        /// RPClosingJAUSInstant:tns:Assets.Other.Amount
        /// </summary>
        public decimal? SMSFAR130 = null;

        public string RPClosingJFOREIGNInstantId = null;
        public bool RPClosingJFOREIGNInstantExists = false;
        public int RPClosingJFOREIGNInstantCount = 0;
        public int RPClosingJFOREIGNInstantOccurrenceIndex = 0;
        public int RPClosingJFOREIGNInstantLastOccurrenceIndex = 0;
        public string RPClosingJFOREIGNInstantIdentifier = null;
        public string RPClosingJFOREIGNInstantIdentifierScheme = null;
        public string RPClosingJFOREIGNInstantIdentifierTFN = null;
        public DateTime? RPClosingJFOREIGNInstantInstantDate = null;

        /// <summary>
        /// RPClosingJFOREIGNInstant:tns:Assets.Investment.EquitySecurities.Amount
        /// </summary>
        public decimal? SMSFAR131 = null;

        /// <summary>
        /// RPClosingJFOREIGNInstant:tns:Assets.ManagedInvestments.Amount
        /// </summary>
        public decimal? SMSFAR134 = null;

        /// <summary>
        /// RPClosingJFOREIGNInstant:tns:Assets.Other.Amount
        /// </summary>
        public decimal? SMSFAR135 = null;

        public string RPY0PlusClosingInstantId = null;
        public bool RPY0PlusClosingInstantExists = false;
        public int RPY0PlusClosingInstantCount = 0;
        public int RPY0PlusClosingInstantOccurrenceIndex = 0;
        public int RPY0PlusClosingInstantLastOccurrenceIndex = 0;
        public string RPY0PlusClosingInstantIdentifier = null;
        public string RPY0PlusClosingInstantIdentifierScheme = null;
        public string RPY0PlusClosingInstantIdentifierTFN = null;
        public DateTime? RPY0PlusClosingInstantInstantDate = null;

        /// <summary>
        /// RPY0PlusClosingInstant:tns:Capital.Losses.CarriedForward.Net.Amount
        /// </summary>
        public decimal? SMSFAR380 = null;

        public string RPDeductibleJAUSId = null;
        public bool RPDeductibleJAUSExists = false;
        public int RPDeductibleJAUSCount = 0;
        public int RPDeductibleJAUSOccurrenceIndex = 0;
        public int RPDeductibleJAUSLastOccurrenceIndex = 0;
        public string RPDeductibleJAUSIdentifier = null;
        public string RPDeductibleJAUSIdentifierScheme = null;
        public string RPDeductibleJAUSIdentifierTFN = null;
        public DateTime? RPDeductibleJAUSStartDate = null;
        public DateTime? RPDeductibleJAUSEndDate = null;

        /// <summary>
        /// RPDeductibleJAUS:tns:Expense.Interest.Amount
        /// </summary>
        public decimal? SMSFAR60 = null;

        public string RPDeductibleJFOREIGNId = null;
        public bool RPDeductibleJFOREIGNExists = false;
        public int RPDeductibleJFOREIGNCount = 0;
        public int RPDeductibleJFOREIGNOccurrenceIndex = 0;
        public int RPDeductibleJFOREIGNLastOccurrenceIndex = 0;
        public string RPDeductibleJFOREIGNIdentifier = null;
        public string RPDeductibleJFOREIGNIdentifierScheme = null;
        public string RPDeductibleJFOREIGNIdentifierTFN = null;
        public DateTime? RPDeductibleJFOREIGNStartDate = null;
        public DateTime? RPDeductibleJFOREIGNEndDate = null;

        /// <summary>
        /// RPDeductibleJFOREIGN:tns:Expense.Interest.Amount
        /// </summary>
        public decimal? SMSFAR61 = null;

        public string RPNonDeductibleJAUSId = null;
        public bool RPNonDeductibleJAUSExists = false;
        public int RPNonDeductibleJAUSCount = 0;
        public int RPNonDeductibleJAUSOccurrenceIndex = 0;
        public int RPNonDeductibleJAUSLastOccurrenceIndex = 0;
        public string RPNonDeductibleJAUSIdentifier = null;
        public string RPNonDeductibleJAUSIdentifierScheme = null;
        public string RPNonDeductibleJAUSIdentifierTFN = null;
        public DateTime? RPNonDeductibleJAUSStartDate = null;
        public DateTime? RPNonDeductibleJAUSEndDate = null;

        /// <summary>
        /// RPNonDeductibleJAUS:tns:Expense.Interest.Amount
        /// </summary>
        public decimal? SMSFAR329 = null;

        public string RPNonDeductibleJFOREIGNId = null;
        public bool RPNonDeductibleJFOREIGNExists = false;
        public int RPNonDeductibleJFOREIGNCount = 0;
        public int RPNonDeductibleJFOREIGNOccurrenceIndex = 0;
        public int RPNonDeductibleJFOREIGNLastOccurrenceIndex = 0;
        public string RPNonDeductibleJFOREIGNIdentifier = null;
        public string RPNonDeductibleJFOREIGNIdentifierScheme = null;
        public string RPNonDeductibleJFOREIGNIdentifierTFN = null;
        public DateTime? RPNonDeductibleJFOREIGNStartDate = null;
        public DateTime? RPNonDeductibleJFOREIGNEndDate = null;

        /// <summary>
        /// RPNonDeductibleJFOREIGN:tns:Expense.Interest.Amount
        /// </summary>
        public decimal? SMSFAR330 = null;

        public string RPJAUSAustNonResidentialRealPropertyId = null;
        public bool RPJAUSAustNonResidentialRealPropertyExists = false;
        public int RPJAUSAustNonResidentialRealPropertyCount = 0;
        public int RPJAUSAustNonResidentialRealPropertyOccurrenceIndex = 0;
        public int RPJAUSAustNonResidentialRealPropertyLastOccurrenceIndex = 0;
        public string RPJAUSAustNonResidentialRealPropertyIdentifier = null;
        public string RPJAUSAustNonResidentialRealPropertyIdentifierScheme = null;
        public string RPJAUSAustNonResidentialRealPropertyIdentifierTFN = null;
        public DateTime? RPJAUSAustNonResidentialRealPropertyStartDate = null;
        public DateTime? RPJAUSAustNonResidentialRealPropertyEndDate = null;

        /// <summary>
        /// RPJAUSAustNonResidentialRealProperty:tns:Assets.LimitedRecourseBorrowing.Amount
        /// </summary>
        public decimal? SMSFAR344 = null;

        public string RPJAUSAustralianSharesId = null;
        public bool RPJAUSAustralianSharesExists = false;
        public int RPJAUSAustralianSharesCount = 0;
        public int RPJAUSAustralianSharesOccurrenceIndex = 0;
        public int RPJAUSAustralianSharesLastOccurrenceIndex = 0;
        public string RPJAUSAustralianSharesIdentifier = null;
        public string RPJAUSAustralianSharesIdentifierScheme = null;
        public string RPJAUSAustralianSharesIdentifierTFN = null;
        public DateTime? RPJAUSAustralianSharesStartDate = null;
        public DateTime? RPJAUSAustralianSharesEndDate = null;

        /// <summary>
        /// RPJAUSAustralianShares:tns:Assets.LimitedRecourseBorrowing.Amount
        /// </summary>
        public decimal? SMSFAR346 = null;

        public string RPJAUSAustResidentialRealPropertyId = null;
        public bool RPJAUSAustResidentialRealPropertyExists = false;
        public int RPJAUSAustResidentialRealPropertyCount = 0;
        public int RPJAUSAustResidentialRealPropertyOccurrenceIndex = 0;
        public int RPJAUSAustResidentialRealPropertyLastOccurrenceIndex = 0;
        public string RPJAUSAustResidentialRealPropertyIdentifier = null;
        public string RPJAUSAustResidentialRealPropertyIdentifierScheme = null;
        public string RPJAUSAustResidentialRealPropertyIdentifierTFN = null;
        public DateTime? RPJAUSAustResidentialRealPropertyStartDate = null;
        public DateTime? RPJAUSAustResidentialRealPropertyEndDate = null;

        /// <summary>
        /// RPJAUSAustResidentialRealProperty:tns:Assets.LimitedRecourseBorrowing.Amount
        /// </summary>
        public decimal? SMSFAR322 = null;

        public string RPJAUSOtherId = null;
        public bool RPJAUSOtherExists = false;
        public int RPJAUSOtherCount = 0;
        public int RPJAUSOtherOccurrenceIndex = 0;
        public int RPJAUSOtherLastOccurrenceIndex = 0;
        public string RPJAUSOtherIdentifier = null;
        public string RPJAUSOtherIdentifierScheme = null;
        public string RPJAUSOtherIdentifierTFN = null;
        public DateTime? RPJAUSOtherStartDate = null;
        public DateTime? RPJAUSOtherEndDate = null;

        /// <summary>
        /// RPJAUSOther:tns:Assets.LimitedRecourseBorrowing.Amount
        /// </summary>
        public decimal? SMSFAR348 = null;

        public string RPJAUSOtherSharesId = null;
        public bool RPJAUSOtherSharesExists = false;
        public int RPJAUSOtherSharesCount = 0;
        public int RPJAUSOtherSharesOccurrenceIndex = 0;
        public int RPJAUSOtherSharesLastOccurrenceIndex = 0;
        public string RPJAUSOtherSharesIdentifier = null;
        public string RPJAUSOtherSharesIdentifierScheme = null;
        public string RPJAUSOtherSharesIdentifierTFN = null;
        public DateTime? RPJAUSOtherSharesStartDate = null;
        public DateTime? RPJAUSOtherSharesEndDate = null;

        /// <summary>
        /// RPJAUSOtherShares:tns:Assets.LimitedRecourseBorrowing.Amount
        /// </summary>
        public decimal? SMSFAR347 = null;

        public string RPJAUSOverseasRealPropertyId = null;
        public bool RPJAUSOverseasRealPropertyExists = false;
        public int RPJAUSOverseasRealPropertyCount = 0;
        public int RPJAUSOverseasRealPropertyOccurrenceIndex = 0;
        public int RPJAUSOverseasRealPropertyLastOccurrenceIndex = 0;
        public string RPJAUSOverseasRealPropertyIdentifier = null;
        public string RPJAUSOverseasRealPropertyIdentifierScheme = null;
        public string RPJAUSOverseasRealPropertyIdentifierTFN = null;
        public DateTime? RPJAUSOverseasRealPropertyStartDate = null;
        public DateTime? RPJAUSOverseasRealPropertyEndDate = null;

        /// <summary>
        /// RPJAUSOverseasRealProperty:tns:Assets.LimitedRecourseBorrowing.Amount
        /// </summary>
        public decimal? SMSFAR345 = null;

        public string RPIncomeTaxRefundId = null;
        public bool RPIncomeTaxRefundExists = false;
        public int RPIncomeTaxRefundCount = 0;
        public int RPIncomeTaxRefundOccurrenceIndex = 0;
        public int RPIncomeTaxRefundLastOccurrenceIndex = 0;
        public string RPIncomeTaxRefundIdentifier = null;
        public string RPIncomeTaxRefundIdentifierScheme = null;
        public string RPIncomeTaxRefundIdentifierTFN = null;
        public DateTime? RPIncomeTaxRefundStartDate = null;
        public DateTime? RPIncomeTaxRefundEndDate = null;

        public bool FinancialInstitutionAccountCollectionExists = false;
        public int FinancialInstitutionAccountCollectionCount = 0;

        public bool RpIncomeTaxRefundFinancialInstitutionAccountCollectionExists = false;
        public int RpIncomeTaxRefundFinancialInstitutionAccountCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:FinancialInstitutionAccount
        /// RPIncomeTaxRefund:tns:FinancialInstitutionAccount.BankStateBranch.Number
        /// </summary>
        public string SMSFAR293 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:FinancialInstitutionAccount
        /// RPIncomeTaxRefund:tns:FinancialInstitutionAccount.FinancialInstitutionAccount.Number
        /// </summary>
        public string SMSFAR294 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:FinancialInstitutionAccount
        /// RPIncomeTaxRefund:tns:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text
        /// </summary>
        public string SMSFAR295 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:FinancialInstitutionAccount
        /// RPIncomeTaxRefund:tns:FinancialInstitutionAccount.FinancialInstitutionBranchName.Text
        /// </summary>
        public string SMSFAR296 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:FinancialInstitutionAccount
        /// RPIncomeTaxRefund:tns:FinancialInstitutionAccount.FinancialInstitutionName.Text
        /// </summary>
        public string SMSFAR297 = null;

        public string RPSuperannuationId = null;
        public bool RPSuperannuationExists = false;
        public int RPSuperannuationCount = 0;
        public int RPSuperannuationOccurrenceIndex = 0;
        public int RPSuperannuationLastOccurrenceIndex = 0;
        public string RPSuperannuationIdentifier = null;
        public string RPSuperannuationIdentifierScheme = null;
        public string RPSuperannuationIdentifierTFN = null;
        public DateTime? RPSuperannuationStartDate = null;
        public DateTime? RPSuperannuationEndDate = null;

        public bool RpSuperannuationFinancialInstitutionAccountCollectionExists = false;
        public int RpSuperannuationFinancialInstitutionAccountCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:FinancialInstitutionAccount
        /// RPSuperannuation:tns:FinancialInstitutionAccount.BankStateBranch.Number
        /// </summary>
        public string SMSFAR364 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:FinancialInstitutionAccount
        /// RPSuperannuation:tns:FinancialInstitutionAccount.FinancialInstitutionAccount.Number
        /// </summary>
        public string SMSFAR365 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:FinancialInstitutionAccount
        /// RPSuperannuation:tns:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text
        /// </summary>
        public string SMSFAR366 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:FinancialInstitutionAccount
        /// RPSuperannuation:tns:FinancialInstitutionAccount.FinancialInstitutionBranchName.Text
        /// </summary>
        public string SMSFAR367 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:FinancialInstitutionAccount
        /// RPSuperannuation:tns:FinancialInstitutionAccount.FinancialInstitutionName.Text
        /// </summary>
        public string SMSFAR368 = null;

        public string RPLimitedPartnersId = null;
        public bool RPLimitedPartnersExists = false;
        public int RPLimitedPartnersCount = 0;
        public int RPLimitedPartnersOccurrenceIndex = 0;
        public int RPLimitedPartnersLastOccurrenceIndex = 0;
        public string RPLimitedPartnersIdentifier = null;
        public string RPLimitedPartnersIdentifierScheme = null;
        public string RPLimitedPartnersIdentifierTFN = null;
        public DateTime? RPLimitedPartnersStartDate = null;
        public DateTime? RPLimitedPartnersEndDate = null;

        /// <summary>
        /// RPLimitedPartners:tns:TaxOffsetClaim.NonRefundableOther.Amount
        /// </summary>
        public decimal? SMSFAR387 = null;

        public string RPInvestorId = null;
        public bool RPInvestorExists = false;
        public int RPInvestorCount = 0;
        public int RPInvestorOccurrenceIndex = 0;
        public int RPInvestorLastOccurrenceIndex = 0;
        public string RPInvestorIdentifier = null;
        public string RPInvestorIdentifierScheme = null;
        public string RPInvestorIdentifierTFN = null;
        public DateTime? RPInvestorStartDate = null;
        public DateTime? RPInvestorEndDate = null;

        /// <summary>
        /// RPInvestor:tns:TaxOffsetClaim.NonRefundableOther.Amount
        /// </summary>
        public decimal? SMSFAR386 = null;

    }
}
