﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="CrossFormFTER" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>XBRL Cross Form Validations that are applicable accross all of the ITR services.</title>

<!-- FTER Variables -->
<let name="FTER.Context" value="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/fter/fter_0001/fter.0001.lodge.request.02.00.report.xsd']]" />
<let name="RP.FTER.Context" value="$FTER.Context/xbrli:context[
                    not(@i:nil='true' or @i:nil='1') 
                    and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1]/ 
                    xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:ReportPartyTypeDimension$') and matches(.,'^.*:ReportingParty$')]
                    ]" />
<let name="RP.FTER.ContextId" value="$RP.FTER.Context/@id" />
<let name="INT.FTER.Context" value="$FTER.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/ 
              xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:ReportPartyTypeDimension$') and matches(.,'^.*:Intermediary$')]
           ]" />
<let name="INT.FTER.ContextId" value="$INT.FTER.Context/@id" />


<rule context="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/fter/fter_0001/fter.0001.lodge.request.02.00.report.xsd']]">

<!-- *** NOTE: Only add CrossForm rules from the FTER AP360 here that are applicable to FTER. *** 

            WHERE PARENT RETURN EXISTS
            IF [FTER95] = "E" AND [FTER40] <>  PARENT RETURN:RP:Elections.FamilyTrustElectionStatus.Year
               RETURN VALIDATION MESSAGE
            ENDIF^^
            [FTER95] = FTER:RP:Elections.FamilyTrustElectionRevocation.Code
            [FTER40] = FTER:RP:Elections.FamilyTrustElectionStatus.Year        
        -->
<let name="Elections_Revocation_Date" value="rvctc3.02.00:Elections.Revocation.Date[@contextRef=$RP.FTER.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<!--
            WHERE PARENT RETURN EXISTS 
            IF (FTER:RP:entity.identifier.TFN <> NULLORBLANK) AND (FTER:RP:entity.identifier.TFN <> PARENT RETURN:RP:entity.identifier.TFN)
              RETURN VALIDATION MESSAGE
            ENDIF
        -->
<let name="Report_TargetFinancial_Year" value="number($SMSFAR.Context/smsfar:Report.TargetFinancial.Year[@contextRef = $RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')])" />
<!--
            WHERE PARENT RETURN EXISTS
            IF COUNT (INT) > 0
              RETURN VALIDATION MESSAGE
            ENDIF
        -->
<let name="Report_TargetFinancial_Year-06-30" value="concat($Report_TargetFinancial_Year, '-06-30')" />
<!--
            IF [FTER95] = "R" AND [FTER96] <> NULL AND [FTER96] <> PARENT RETURN:RP:pyin.xx.xx:Report.TargetFinancial.Year
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [FTER95] = FTER:RP:Elections.FamilyTrustElectionRevocation.Code
            [FTER96] = FTER:RP:Elections.FamilyTrustRevocationStatusEffective.Year
        -->
<let name="VR.ATO.FTER.408144.FTER4" value="$FTER.Context/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]
                      /pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.FTER.ContextId and string-length(normalize-space(.)) != 0 and not(@i:nil='true' or @i:nil='1')
                        and upper-case(../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1')][1]) = 'MN'
                        and upper-case(../pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')][1]) = 'C']" />

<!--
                WHERE PARENT RETURN EXISTS
                IF [FTER95] <> NULLORBLANK AND [FTER95] <> SET(""E"", ""R"", ""V"")
                RETURN VALIDATION MESSAGE
                ENDIF
                [FTER95] = FTER:RP:Elections.FamilyTrustElectionRevocation.Code
            -->

<assert  id="VR.ATO.FTER.408112" diagnostics="DVR.ATO.FTER.408112" test="not(
                            $FTER.Context/rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code
                                            [@contextRef=$RP.FTER.ContextId and not(@i:nil='true' or @i:nil='1')
                                            and matches(.,'^(E)$','i')]
                            and
                            $FTER.Context/rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year
                                            [@contextRef=$RP.FTER.ContextId and not(@i:nil='true' or @i:nil='1')]    
                            and
                            $FTER.Context/
                                    rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.FTER.ContextId]
                            !=
                            $SMSFAR.Context/
                                    smsfar:Elections.FamilyTrustElectionStatus.Year [not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.SMSFAR.ContextId]

                                
                          )"></assert>
<!--                           
            IF (RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> NULLORBLANK) AND 
               (PARENT RETURN:RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> NULLORBLANK) AND 
               (RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> PARENT RETURN:RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier)
                 RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.FTER.408001" diagnostics="DVR.ATO.FTER.408001" test="not(
                            xbrli:context[@id=$RP.FTER.ContextId]/xbrli:entity/xbrli:identifier[(lower-case(@scheme) = 'http://www.ato.gov.au/tfn')and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            and  
                            (xbrli:context[@id=$RP.FTER.ContextId]/xbrli:entity/xbrli:identifier[(lower-case(@scheme)= 'http://www.ato.gov.au/tfn')and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            !=
                            $SMSFAR.Context/xbrli:context/xbrli:entity/xbrli:identifier[(lower-case(@scheme) = 'http://www.ato.gov.au/tfn') and not(@i:nil='true' or @i:nil='1')]
                            )
                            )"></assert>
<!--
            WHERE PARENT RETURN EXISTS
            IF [FTER57] > ((PARENT RETURN:RP:pyin.xx.xx:Report.TargetFinancial.Year)&""-06-30"")
            RETURN VALIDATION MESSAGE
            ENDIF
            [FTER57] = FTER:RP:Elections.Revocation.Date
        -->

<assert  id="VR.ATO.FTER.408006" diagnostics="DVR.ATO.FTER.408006" test="not(
                        count($INT.FTER.Context) &gt; 0
                      )"></assert>

<assert  id="VR.ATO.FTER.408033" diagnostics="DVR.ATO.FTER.408033" test="not(
                        $FTER.Context/rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.FTER.ContextId and
                            upper-case(.[1]) = 'R']
                        and 
                        $FTER.Context/rvctc3.02.03:Elections.FamilyTrustRevocationStatusEffective.Year[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.FTER.ContextId]
                        and
                        $FTER.Context/rvctc3.02.03:Elections.FamilyTrustRevocationStatusEffective.Year[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.FTER.ContextId]
                        !=
                        $SMSFAR.Context/smsfar:Report.TargetFinancial.Year[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.SMSFAR.ContextId]
                      )"></assert>

<assert  id="VR.ATO.FTER.408024" diagnostics="DVR.ATO.FTER.408024" test="not(
                              $FTER.Context/rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code
                                [$RP.SMSFAR.ContextId and string-length(normalize-space(.)) != 0 and not(matches(.,'^(E|R|V)$','i'))]
                          )"></assert>

<assert  id="VR.ATO.GEN.402010" diagnostics="DVR.ATO.GEN.402010" test="not(
                           (
                             pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.FTER.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                             and
                             $SMSFAR.Context/smsfar:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                           )
                           and
                           (
                             pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.FTER.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                             !=
                             $SMSFAR.Context/smsfar:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                           )
                      )"></assert>
<!--
            WHERE PARENT RETURN EXISTS
            IF [FTER4] <> NULLORBLANK AND 
               [FTER4] <> PARENT RETURN:xbrli\organisationname2.xx.xx.OrganisationName.Text
                            WHERE TUPLE ELEMENT EXPLICIT OrganisationNameDetails.Currency.Code = "C" AND
                                  TUPLE ELEMENT EXPLICIT OrganisationNameDetails.OrganisationalNameType.Code = "MN")
               RETURN VALIDATION  MESSAGE
            ENDIF
            [FTER4] = FTER:RP:OrganisationNameDetails.OrganisationalName.Text
                        WHERE (
                                (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") AND 
                                (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = "C")
                              ) IN TUPLE(organisationname2.xx.xx:OrganisationNameDetails)        
        -->
        <assert id="VR.ATO.FTER.408162" diagnostics="DVR.ATO.FTER.408162" 
                test="not(
                          $Report_TargetFinancial_Year-06-30 
                          and 
                          count(rvctc3.02.00:Elections.Revocation.Date[@contextRef=$RP.FTER.ContextId and not(@i:nil='true' or @i:nil='1')])!=0
                          and                                                
                          function:IsDate1GreaterThanDate2($Elections_Revocation_Date[1], $Report_TargetFinancial_Year-06-30[1])
                      )"/>
  
<assert  id="VR.ATO.FTER.408144" diagnostics="DVR.ATO.FTER.408144" test="not(
                            $VR.ATO.FTER.408144.FTER4
                            and 
                            upper-case($VR.ATO.FTER.408144.FTER4[1])
                            !=
                            upper-case($SMSFAR.Context/smsfar:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]
                              /smsfar:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')
                                and upper-case(../smsfar:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1')][1]) = 'MN'
                                and upper-case(../smsfar:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')][1]) = 'C'][1])
                      )"></assert>
<!--
            WHERE PARENT RETURN EXISTS
            IF [FTER95] = "V" AND [FTER40] <> NULL AND 
               [FTER40] <> PARENT RETURN:RP:pyin.xx.xx:Report.TargetFinancial.Year
                    RETURN VALIDATION MESSAGE
            ENDIF
            
            [FTER95] = FTER:RP:Elections.FamilyTrustElectionRevocation.Code
            [FTER40] = FTER:RP:Elections.FamilyTrustElectionStatus.Year
        -->

<assert  id="VR.ATO.FTER.408029" diagnostics="DVR.ATO.FTER.408029" test="not(
                        $FTER.Context/rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code
                                        [@contextRef=$RP.FTER.ContextId and not(@i:nil='true' or @i:nil='1')
                                        and matches(.,'^(V)$','i')]
                        and
                        $FTER.Context/rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year
                                        [@contextRef=$RP.FTER.ContextId and not(@i:nil='true' or @i:nil='1')]    
                        and
                        $FTER.Context/
                                rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.FTER.ContextId]
                        !=
                        $SMSFAR.Context/
                                smsfar:Report.TargetFinancial.Year[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.SMSFAR.ContextId]
                      )"></assert>
</rule>
</pattern>