﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Context" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Context Validations</title>


<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">
    
        <!--
            Rule ID: VR.ATO.GEN.000209
            
            IF COUNT(RP) <> 1
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.000209" diagnostics="DVR.ATO.GEN.000209" 
                test="not(
                        count($RP.Context) != 1
                      )"/>
    
        <!--
            Rule ID: VR.ATO.GEN.000227
            
            IF COUNT(INT) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.000227" diagnostics="DVR.ATO.GEN.000227" 
                test="not(
                        count($INT.Context) &gt; 1
                      )"/>  
        <!--
            Rule ID: VR.ATO.GEN.430258
            
            IF COUNT(CONTEXT(RP.Prim)) > 1 
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430258" diagnostics="DVR.ATO.GEN.430258" 
                test="not(
                        count($RP.Prim.Context) &gt; 1
                      )"/>
  
        <!--
            Rule ID: VR.ATO.GEN.430259
            
            IF COUNT(CONTEXT(RP.NonPrim)) > 1 
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430259" diagnostics="DVR.ATO.GEN.430259" 
                test="not(
                        count($RP.NonPrim.Context) &gt; 1
                     )"/>
  
        <!--
            Rule ID: VR.ATO.GEN.430266
            
            IF COUNT(CONTEXT(RP.JAus)) > 1 
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430266" diagnostics="DVR.ATO.GEN.430266" 
                test="not(
                        count($RP.JAus.Context) &gt; 1
                      )"/>
  
        <!--
            Rule ID: VR.ATO.GEN.430302
            
            IF COUNT(CONTEXT(RP.TOFA)) > 1 
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430302" diagnostics="DVR.ATO.GEN.430302" test="not(
                        count($RP.TOFA.Context) &gt; 1
                     )"/>
        <!--
            Rule ID: VR.ATO.GEN.430267
            
            IF COUNT(CONTEXT(RP.JForeign)) > 1 
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430267" diagnostics="DVR.ATO.GEN.430267" 
                test="not(
                        count($RP.JForeign.Context) &gt; 1
                     )"/>
     
        <!--
            Rule ID: VR.ATO.GEN.430269
            
            IF COUNT(CONTEXT(RP.Prim.JAus)) > 1
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430269" diagnostics="DVR.ATO.GEN.430269" 
                test="not(
                        count($RP.Prim.JAus.Context) &gt; 1
                      )"/>
     
        <!--
            Rule ID: VR.ATO.GEN.430273
            
            IF COUNT(CONTEXT(RP.CFCLC.JForeign)) > 1 
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430273" diagnostics="DVR.ATO.GEN.430273" 
                test="not(
                        count($RP.CFCLC.JForeign.Context) &gt; 1
                      )"/>
     
        <!--
            Rule ID: VR.ATO.GEN.430275
            
            IF COUNT(CONTEXT(RP.CFCUC.JForeign)) > 1 
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430275" diagnostics="DVR.ATO.GEN.430275" 
                test="not(
                        count($RP.CFCUC.JForeign.Context) &gt; 1
                      )"/>
     
        <!--
            Rule ID: VR.ATO.GEN.430279
            
            IF COUNT(CONTEXT(RP.Opening(Instant))) > 1 
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430279" diagnostics="DVR.ATO.GEN.430279" 
                test="not(
                        count($RPI.Opening.Context) &gt; 1
                      )"/>
  
        <!--
            Rule ID: VR.ATO.GEN.430280
            
            IF COUNT(CONTEXT(RP.Closing(Instant))) > 1 
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430280" diagnostics="DVR.ATO.GEN.430280"
                test="not(
                        count($RPI.Closing.Context) &gt; 1
                      )"/>
     
        <!--
            Rule ID: VR.ATO.GEN.430270
            
            IF COUNT(CONTEXT(RP.NonPrim.JAus)) > 1
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430270" diagnostics="DVR.ATO.GEN.430270" 
                test="not(
                        count($RP.NonPrim.JAus.Context) &gt; 1
                     )"/>
            
        <!--
            Rule ID: VR.ATO.TRT.432560
            
            IF COUNT(CONTEXT(RP.Closing)) > 1 
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.TRT.432560" diagnostics="DVR.ATO.TRT.432560" 
                test="not(
                        count($RP.Closing.Context) &gt; 1
                      )"/>

        <!--
            Rule ID: VR.ATO.TRT.432696
            
            IF COUNT(CONTEXT(RP.LowCost)) > 1
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.TRT.432696" diagnostics="DVR.ATO.TRT.432696" 
                test="not(count($RP.LowCost.Context) &gt; 1)"/>

        <!--
            Rule ID: VR.ATO.TRT.432697
            
            IF COUNT(CONTEXT(RP.GeneralPool)) > 1
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.TRT.432697" diagnostics="DVR.ATO.TRT.432697" 
                test="not(count($RP.GeneralPool.Context) &gt; 1)"/>

    <!-- 
        Rule ID: VR.ATO.GEN.438051
    
        IF RP.Opening(Instant):period.instantDate <> RP:period.startDate
             RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.438051" diagnostics="DVR.ATO.GEN.438051"
            test="not(
                    $RP.Context/xbrli:period/xbrli:startDate != $RPI.Opening.Context/xbrli:period/xbrli:instant      
                  )" />

      <!-- Rule ID: VR.ATO.GEN.438052
    
          IF RP.Closing(Instant):period.instantDate <> RP:period.endDate
            RETURN VALIDATION MESSAGE
          ENDIF
        -->
    <assert id="VR.ATO.GEN.438052" diagnostics="DVR.ATO.GEN.438052"
            test="not(
                    $RP.Context/xbrli:period/xbrli:endDate != $RPI.Closing.Context/xbrli:period/xbrli:instant      
                  )" />
</rule>

<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/xbrli:context[not(@i:nil='true' or @i:nil='1')]">
      
        <!--
            Rule ID: VR.ATO.TRT.432562
            
            IF period.startDate >= period.endDate WHERE CONTEXT <> SET(“RPI.Opening”, “RPI.Closing”)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            NOTE: RPI contexts cannot have start and end date. Covered by rule: VR.ATO.GEN.430277.
        -->
        <assert id="VR.ATO.TRT.432562" diagnostics="DVR.ATO.TRT.432562" 
                test="not(
                            xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] and
                            xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] and
                            function:IsDate1GreaterOrEqualToDate2(
                                xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')],
                                xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')])
                      )"/>
  
        <!--
            Rule ID: VR.ATO.GEN.438029
            
            IF (RprtPyType.xx.xx:ReportingPartyTypeDimension = “RprtPyType.xx.xx:ReportingParty”) 
                AND (entity.identifier.scheme <> “http://www.ato.gov.au/tfn”)
                RETURN VALIDATION MESSAGE
            ENDIF
       -->
        <assert id="VR.ATO.GEN.438029" diagnostics="DVR.ATO.GEN.438029" 
                test="not(
                            xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                            xbrli:segment[not(@i:nil='true' or @i:nil='1')]/
                            xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:(ReportingParty)$')]
                        )
                        or
                        xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn' and not(@i:nil='true' or @i:nil='1')]"/>

        <!--
            Rule ID: VR.ATO.GEN.438030
            
            IF (RprtPyType.xx.xx:ReportingPartyTypeDimension = “RprtPyType.xx.xx:Intermediary”) 
                AND (entity.identifier.scheme <> “http://www.ato.gov.au/abn”)
                RETURN VALIDATION MESSAGE
            ENDIF
       -->
        <assert id="VR.ATO.GEN.438030" diagnostics="DVR.ATO.GEN.438030" 
                test="not(
                            xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                            xbrli:segment[not(@i:nil='true' or @i:nil='1')]/
                            xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:(Intermediary)$')]
                        )
                        or
                        xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[@scheme='http://www.ato.gov.au/abn' and not(@i:nil='true' or @i:nil='1')]"></assert>

  <let name="startDate" value="xbrli:period/xbrli:startDate"/>
  <let name="endDate"   value="xbrli:period/xbrli:endDate"/>

  <!-- Rule ID: VR.ATO.GEN.438053
         ELS Ref: N/A
         
         IF period.startDate WHERE CONTEXT(ALL) <> RP:period.startDate
            RETURN VALIDATION MESSAGE
         ENDIF
    -->

  <assert id="VR.ATO.GEN.438053" diagnostics="DVR.ATO.GEN.438053"
          test="not(
                        preceding-sibling::xbrli:context/xbrli:period/xbrli:startDate[. != $startDate]
                     )"/>

  <!-- Rule ID: VR.ATO.GEN.438054
         ELS Ref: N/A
         
         IF period.endDate <> RP:period.endDate
            RETURN VALIDATION MESSAGE
         ENDIF
    -->

  <assert id="VR.ATO.GEN.438054" diagnostics="DVR.ATO.GEN.438054"
          test="not(
                        preceding-sibling::xbrli:context/xbrli:period/xbrli:endDate[. != $endDate]
                     )"/>
</rule>

<rule context="xbrli:context[not(@i:nil='true' or @i:nil='1')]/xbrli:entity[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.GEN.001023
            
            IF (entity.identifier.TFN WHERE CONTEXT(ALL)) <> RP:entity.identifier.TFN
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.001023" diagnostics="DVR.ATO.GEN.001023" 
                test="not(
                        xbrli:identifier[lower-case(@scheme) = 'http://www.ato.gov.au/tfn'] != $RP.Identifier.TFN
                      )"/>
</rule>

<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/xbrli:context[not(@i:nil='true' or @i:nil='1')]/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.GEN.428016
            
            IF (RP:entity.identifier.TFN <> NULLORBLANK) AND (TFNALGORITHM (RP:entity.identifier.TFN) = FALSE)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.428016" diagnostics="DVR.ATO.GEN.428016" 
                test="not(
                        (../../@id = $RP.ContextId)
                        and
                        (upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN')
                        and
                        string-length(normalize-space(.)) != 0 
                        and
                        not(function:ValidateTFN(.))
                      )"/>
     
        <!-- 
            Rule ID: VR.ATO.GEN.428253
            
            IF (INT:entity.identifier.ABN <> NULLORBLANK) AND (ABNALGORITHM(RP:entity.identifier.ABN) = FALSE)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.428253" diagnostics="DVR.ATO.GEN.428253" 
                test="not(
                        ../../@id = $INT.ContextId
                        and
                        upper-case(@scheme) = 'HTTP://WWW.ABR.GOV.AU/ABN'
                        and
                        string-length(normalize-space(.)) != 0 
                        and
                        not(function:ValidateABN(.))                          
                      )"/>
</rule>
    
</pattern>