﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="EnumerationPatterns" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>Enumeration Pattern Validations</title>


  <rule context="rvctc3.02.33:CapitalGainsTax.ExemptionOrRolloverApplied.Code[not(@i:nil='true' or @i:nil='1')]">

    <!--
            Rule: VR.ATO.TRT.432693
            
            IF [TRT448] <> NULL AND [TRT448] <> SET (DOMAIN(TRTCGTExemptionOrRolloverCodes))
                RETURN VALIDATION MESSAGE
            ENDIF
            [TRT448] = TRT:RP:rvctc3.02.33:CapitalGainsTax.ExemptionOrRolloverApplied.Code
        -->

    <assert  id="VR.ATO.TRT.432693" diagnostics="DVR.ATO.TRT.432693" test="matches(.,'^A - Small business active asset reduction$') or
                      matches(.,'^B - Small business retirement exemption$') or
                      matches(.,'^C - Small business roll-over$') or
                      matches(.,'^D - Small business 15 year exemption$') or
                      matches(.,'^E - Foreign resident CGT exemption$') or
                      matches(.,'^F - Scrip for scrip roll-over$') or
                      matches(.,'^H - Demerger exemption$') or
                      matches(.,'^I - Main residence exemption$') or
                      matches(.,'^J - Capital gains disregarded as a result of the sale of a pre-CGT asset$') or
                      matches(.,'^K - Disposal or creation of assets in a wholly-owned company$') or
                      matches(.,'^L - Replacement asset roll-overs$') or
                      matches(.,'^M - Exchange of shares or units$') or
                      matches(.,'^N - Exchange of rights or options$') or
                      matches(.,'^O - Exchange of shares in one company for shares in another company$') or
                      matches(.,'^P - Exchange of units in a unit trust for shares in a company$') or
                      matches(.,'^Q - Trust restructure roll-over$') or
                      matches(.,'^R - Demerger roll-over$') or
                      matches(.,'^S - Same asset roll-overs$') or
                      matches(.,'^T - Small Business Restructure Roll-over$') or
                      matches(.,'^X - Other exemptions and roll-overs$') "></assert>
  </rule>

  <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

    <!--        
            Rule: VR.ATO.TRT.432336
            
            IF [TRT245] <> NULL AND [TRT245] <> SET("Resident", "NonResidentNoPermEstab")
                RETURN VALIDATION MESSAGE
            ENDIF
            [TRT245] = TRT:RP:pyde.02.10:Residency.TaxPurposesOrganisationStatus.Code
        -->

    <assert  id="VR.ATO.TRT.432336" diagnostics="DVR.ATO.TRT.432336" test="not(
                       pyde.02.10:Residency.TaxPurposesOrganisationStatus.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                       and not (matches(pyde.02.10:Residency.TaxPurposesOrganisationStatus.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')],'^(Resident|NonResidentNoPermEstab)$'))
                   )"></assert>

    <!--
            Rule ID: VR.ATO.GEN.010030
            
            IF pyin.xx.xx:Report.AmendmentSequence.Number <> NULL 
                AND pyin.xx.xx:Report.AmendmentSequence.Number <> SET(1-9)
               RETURN VALIDATION MESSAGE CMN.ATO.GEN.010030
            ENDIF
        -->

    <assert  id="VR.ATO.GEN.010030" diagnostics="DVR.ATO.GEN.010030" test="not(
                       pyin.02.08:Report.AmendmentSequence.Number[not(@i:nil='true' or @i:nil='1')]
                       and not (matches(pyin.02.08:Report.AmendmentSequence.Number[not(@i:nil='true' or @i:nil='1')],'^(1|2|3|4|5|6|7|8|9)$'))
                   )"></assert>

    <!--
            Rule ID: VR.ATO.TRT.432413
            
            IF [TRT29] <> NULLORBLANK AND [TRT29] <> SET("R","V")
                RETURN VALIDATION MESSAGE
            ENDIF
            [TRT29] = TRT:RP:Elections.FamilyTrustElectionRevocation.Code
        -->

    <assert  id="VR.ATO.TRT.432413" diagnostics="DVR.ATO.TRT.432413" test="not(
                       rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code[
                       not(@i:nil='true' or @i:nil='1') 
                       and @contextRef = $RP.ContextId 
                       and not(matches(upper-case(.),'^(R|V)$'))
                       ]
                   )"></assert>

    <!--
            Rule ID: VR.ATO.TRT.432265
            
            IF [TRT186] > 0 AND [TRT187] <> SET("D", "X") 
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT186] = TRT:RPI.Closing:IncomeTax.PrivateCompanyUnpaidPresentEntitlement.Amount
            [TRT187] = TRT:RP:IncomeTax.PrivateCompanyUnpaidPresentEntitlement.Code
        -->

    <assert  id="VR.ATO.TRT.432265" diagnostics="DVR.ATO.TRT.432265" test="not(
                            sum(
                                    rvctc1.02.00:IncomeTax.PrivateCompanyUnpaidPresentEntitlement.Amount[@contextRef = $RPI.Closing.ContextId and 
                                    not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            and
                            not(rvctc1.02.00:IncomeTax.PrivateCompanyUnpaidPresentEntitlement.Code[@contextRef = $RP.ContextId 
                                and not(@i:nil='true' or @i:nil='1') and matches(.,'^(D|X)$')])
                          )"></assert>

    <!-- 
			      IF [TRT498] > 0 AND [TRT499] <> SET("Early Stage Investor", "ESVCLP", "Multiple Tax Offsets") 
			         RETURN VALIDATION MESSAGE
			      ENDIF

			      [TRT498] = TRT:RP:gfati.02.06:TaxOffsetClaim.NonRefundableOther.Amount IN TUPLE(trt.0006.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
			      [TRT499] = TRT:RP:gfati.02.10:TaxOffsetClaim.NonRefundableOther.Code IN TUPLE(trt.0006.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
        -->

    <assert  id="VR.ATO.TRT.432775" diagnostics="DVR.ATO.TRT.432775" test="not(
                            sum($TRT498) &gt; 0
                            and
                            not($TRT499[matches(.,'^(Early Stage Investor|ESVCLP|Multiple Tax Offsets)$')])
                          )" />

    <!--                      
          IF [TRT496] > 0 AND [TRT497] <> SET("Early Stage Investor", "ESVCLP", "Multiple Tax Offsets") 
             RETURN VALIDATION MESSAGE
          ENDIF

          [TRT496] = TRT:RP:gfati.02.06:TaxOffsetClaim.NonRefundableOther.Amount IN TUPLE(trt.0006.lodge.req.02.00:StatementOfDistributionToBeneficiary)
          [TRT497] = TRT:RP:gfati.02.10:TaxOffsetClaim.NonRefundableOther.Code IN TUPLE(trt.0006.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->

    <assert  id="VR.ATO.TRT.432772" diagnostics="DVR.ATO.TRT.432772" test="not(
                            sum($TRT496) &gt; 0
                            and
                            not($TRT497[matches(.,'^(Early Stage Investor|ESVCLP|Multiple Tax Offsets)$')])
                          )" />

    <!--
		      IF [TRT494] > 0 AND [TRT495] <> SET("Early Stage Investor", "ESVCLP", "Multiple Tax Offsets") 
			      RETURN VALIDATION MESSAGE
		      ENDIF

		      [TRT494] = TRT:RP:gfati.02.06:TaxOffsetClaim.NonRefundableOther.Amount
		      [TRT495] = TRT:RP:gfati.02.10:TaxOffsetClaim.NonRefundableOther.Code
        -->
    <assert  id="VR.ATO.TRT.432768" diagnostics="DVR.ATO.TRT.432768" test="not(
                            sum($TRT494) &gt; 0
                            and
                            not($TRT495[matches(.,'^(Early Stage Investor|ESVCLP|Multiple Tax Offsets)$')])
                          )" />
  </rule>

  <rule context="pyde.02.26:OrganisationDetails.OrganisationType.Code[not(@i:nil='true' or @i:nil='1')]">

    <!--
            Rule ID: VR.ATO.TRT.432023
            
            IF [TRT32] <> NULL AND [TRT32] <> SET("039", "059", "071", "072", "077", "089", "090", "112", "179", "184", "203")
                RETURN VALIDATION MESSAGE
            ENDIFF
            [TRT32] = TRT:RP:OrganisationDetails.OrganisationType.Code
        -->

    <assert  id="VR.ATO.TRT.432023" diagnostics="DVR.ATO.TRT.432023" test=" not( @contextRef = $RP.ContextId 
                          and not(matches(.,'^(039|059|071|072|077|089|090|112|179|184|203)$'))
                        )"></assert>
  </rule>

  <rule context="trt.0006.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.21:IncomeTax.AssessmentCalculation.Code[not(@i:nil='true' or @i:nil='1')]">

    <!--
            Rule ID: VR.ATO.TRT.432008
            
            IF [TRT230] <> NULL AND [TRT230] <> SET("15", "16", "17", "36", "37")
              RETURN VALIDATION MESSAGE
            ENDIF
          [TRT230] = TRT:RP:rvctc1.02.21:IncomeTax.AssessmentCalculation.Code IN TUPLE(trt.0006.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
        -->

    <assert  id="VR.ATO.TRT.432008" diagnostics="DVR.ATO.TRT.432008" test="not(
                            @contextRef = $RP.ContextId
                            and not (matches(.,'^(15|16|17|36|37)$'))
                          )"></assert>
  </rule>

  <rule context="trt.0006.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.21:IncomeTax.AssessmentCalculation.Code[not(@i:nil='true' or @i:nil='1')]">

    <!--
            Rule ID: VR.ATO.TRT.432418
            
            IF [TRT214] <> NULL AND [TRT214] <> SET("11", "12", "13", "14", "25", "26", "27", "28", "29", "30", "34", "35", "45", "111", "118", "119", "120", "125", "126", "127", "128", "129", "134, "138", "139", "140", "145")
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT214] = TRT:RP:IncomeTax.AssessmentCalculation.Code IN TUPLE(trt.0001.lodge.req.xx.xx:StatementOfDistributionToBeneficiary )
         -->

    <assert  id="VR.ATO.TRT.432418" diagnostics="DVR.ATO.TRT.432418" test="not(
                            @contextRef = $RP.ContextId 
                            and not (matches(.,'^(11|12|13|14|25|26|27|28|29|30|34|35|45|111|118|119|120|125|126|127|128|129|134|138|139|140|145)$'))
                        )"></assert>
  </rule>

  <rule context="trt.0006.lodge.req.02.00:StatementOfDistributionToBeneficiary [not(@i:nil='true' or @i:nil='1')]/pyid.02.00:Identifiers.TaxFileNumberTrailingNumeric.Identifier [not(@i:nil='true' or @i:nil='1')]">

    <!--
            Rule ID: VR.ATO.TRT.432288
            
            IF [TRT212] <> NULL AND [TRT212] <> SET(1-49) 
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT212] = TRT:RP:Identifiers.TaxFileNumberTrailingNumeric.Identifier IN TUPLE(trt.0001.lodge.req.xx.xx:StatementOfDistributionToBeneficiary )
         -->

    <assert  id="VR.ATO.TRT.432288" diagnostics="DVR.ATO.TRT.432288" test="not(
                            @contextRef = $RP.ContextId 
                            and not (matches(.,'^(1|2|3|4|5|6|7|8|9|10|11|12|13|14|15|16|17|18|19|20|21|22|23|24|25|26|27|28|29|30|31|32|33|34|35|36|37|38|39|40|41|42|43|44|45|46|47|48|49)$'))
                        )"></assert>
  </rule>
</pattern>