﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="CrossFormIDS" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>XBRL Cross Form Validations that are applicable accross all of the FITR services.</title>
  <!-- IDS Variables -->
  <let name="IDS.Context" value="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/ato/ato.ids.0005.2017.01.00.report.xsd']]" />



  <!-- RP.IDS Context -->
  <let name="RP.IDS.Context" value="
    $IDS.Context/xbrli:context[
    not(@i:nil='true' or @i:nil='1') 
    and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
    and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
    and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
    xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1 and count(./xbrldi:typedMember) = 0]/ 
    xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^*:ReportPartyTypeDimension$') and matches(.,'^*:ReportingParty$')]
    ]"/>
  <let name="RP.IDS.ContextId" value="$RP.IDS.Context/@id"/>
  

  <!-- 
RP.Royalties Context Variables 
-->
  <let name="RP.IDS.Royalties.Context" value="
    $IDS.Context/xbrli:context[not(@i:nil='true' or @i:nil='1') and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]
    /xbrli:segment[not(@i:nil='true' or @i:nil='1') 
    and 2 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')])
    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                  and matches(@dimension,'^*:ReportPartyTypeDimension$') 
                  and matches(.,'^*:ReportingParty$')])
    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                  and matches(@dimension,'^*:InternationalRelatedPartyDealingsTypeDimension$') 
                  and matches(.,'^*:Royalties$')])]]"/>
  <let name="RP.IDS.Royalties.ContextId" value="$RP.IDS.Royalties.Context/@id"/>
  


  <rule context="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">
    <let name="thisForm" value="child::link:schemaRef/@xlink:href" />
    


    <!--  
            Rule ID: VR.ATO.TRTAMI.000151
            
            IF ([TRTAMI49] > 0) AND (COUNT(SCHEDULE = "IDS") = 0)
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

    <assert  id="VR.ATO.TRTAMI.000151" diagnostics="DVR.ATO.TRTAMI.000151" test="not(
                        count($IDS.Context) = 0
                        and 
                        $trtami49 > 0
                        and
                        $TRTAMI.Context[child::link:schemaRef/@xlink:href = $thisForm]            
                      )" />

    <!--  
            Rule ID: VR.ATO.TRTAMI.000152
            
            IF ([TRTAMI50] = SET(NULL,0)) AND (COUNT(SCHEDULE = "IDS") = 1) AND ([IDS22] > 0)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

    <assert  id="VR.ATO.TRTAMI.000152" diagnostics="DVR.ATO.TRTAMI.000152" test="not(
                        count($IDS.Context) = 1
                        and
                        (not($trtami50[not(@i:nil='true' or @i:nil='1')]) or $trtami50 = 0)
                        and 
                        $ids22 > 0
                        and
                        $TRTAMI.Context[child::link:schemaRef/@xlink:href = $thisForm]            
                      )" />

    <!--  
            Rule ID: VR.ATO.TRTAMI.000153
            
            IF ([TRTAMI50] > 0) AND (COUNT(SCHEDULE = "IDS") = 1) AND ([TRTAMI50] < [IDS22])
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

    <assert  id="VR.ATO.TRTAMI.000153" diagnostics="DVR.ATO.TRTAMI.000153" test="not(
                        count($IDS.Context) = 1
                        and
                        $trtami50 > 0
                        and 
                        $trtami50 &lt; sum($ids22)
                        and
                        $TRTAMI.Context[child::link:schemaRef/@xlink:href = $thisForm]  

                      )" />

    <!--  
            Rule ID: VR.ATO.TRTAMI.000154
            
            IF ([TRTAMI50] > 0) AND (COUNT(SCHEDULE = "IDS") = 0)
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

    <assert  id="VR.ATO.TRTAMI.000154" diagnostics="DVR.ATO.TRTAMI.000154" test="not(
                        count($IDS.Context) = 0
                        and 
                        $trtami50 > 0
                        and
                        $TRTAMI.Context[child::link:schemaRef/@xlink:href = $thisForm]            
                      )" />

    <!--  
            Rule ID: VR.ATO.TRTAMI.000199
            
            IF  ([TRTAMI47] = FALSE AND [TRTAMI48] = FALSE) 
            AND ([TRTAMI49] = SET(NULL,0) AND [TRTAMI50] = SET(NULL,0)) 
            AND (COUNT(Schedule = "IDS") = 1)
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

    <assert  id="VR.ATO.TRTAMI.000199" diagnostics="DVR.ATO.TRTAMI.000199" test="not(
                        count($IDS.Context) = 1
                        and 
                        $trtami47[matches(.,'^(false|0)$')]
                        and 
                        $trtami48[matches(.,'^(false|0)$')]
                        and
                        (not($trtami49[not(@i:nil='true' or @i:nil='1')]) or $trtami49 = 0)
                        and
                        (not($trtami50[not(@i:nil='true' or @i:nil='1')]) or $trtami50 = 0)
                        and
                        $TRTAMI.Context[child::link:schemaRef/@xlink:href = $thisForm]            
                      )" />


    <!--  
            Rule ID: VR.ATO.TRTAMI.000201
            
            IF COUNT(SCHEDULE = "IDS") > 1
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

    <assert  id="VR.ATO.TRTAMI.000201" diagnostics="DVR.ATO.TRTAMI.000201" test="not(
                        count($IDS.Context) > 1
                        and 
                        $TRTAMI.Context[child::link:schemaRef/@xlink:href = $thisForm]            
                      )" />


    <!--  
            Rule ID: VR.ATO.TRTAMI.000205
            
            IF [TRTAMI137] = FALSE AND [TRTAMI138] = FALSE AND COUNT(SCHEDULE = "IDS") = 1 AND [IDS9] = TRUE
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

    <assert  id="VR.ATO.TRTAMI.000205" diagnostics="DVR.ATO.TRTAMI.000205" test="not(
                        count($IDS.Context) = 1
                        and
                        $trtami137[matches(.,'^(false|0)$')]
                        and
                        $trtami138[matches(.,'^(false|0)$')]
                        and 
                        $ids9[matches(.,'^(true|1)$')]
                        and
                        $TRTAMI.Context[child::link:schemaRef/@xlink:href = $thisForm]            
                      )" />

    <!--  
            Rule ID: VR.ATO.TRTAMI.000246
            
            IF [TRTAMI47] = TRUE AND COUNT(SCHEDULE = "IDS") = 0
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

    <assert  id="VR.ATO.TRTAMI.000246" diagnostics="DVR.ATO.TRTAMI.000246" test="not(
                        count($IDS.Context) = 0
                        and 
                        $TRTAMI.Context[child::link:schemaRef/@xlink:href = $thisForm]            
                        and
                        $trtami47[matches(.,'^(true|1)$')]
                      )" />



    <!--  
            Rule ID: VR.ATO.GEN.402009
            
            IF (RP:entity.identifier.TFN <> PARENT RETURN:RP:entity.identifier.TFN)
                RETURN VALIDATION MESSAGE
            ENDIF            
        -->

    <assert  id="VR.ATO.GEN.402009" diagnostics="DVR.ATO.GEN.402009" test="not(
             $IDS.Context[child::link:schemaRef/@xlink:href = $thisForm]
             and
                        $RP.IDS.Context/xbrli:entity
                            /xbrli:identifier[(@scheme = 'http://www.ato.gov.au/tfn') and not(@i:nil='true')]
                        !=
                        $RP.TRTAMI.Context/xbrli:entity/xbrli:identifier[(@scheme = 'http://www.ato.gov.au/tfn') and not(@i:nil='true')]

                      )"></assert>

    
    <!-- Rule ID: VR.ATO.GEN.438000
            IF (period.startDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.startDate
              RETURN VALIDATION MESSAGE
            ENDIF
        -->
    <assert  id="VR.ATO.GEN.438000" diagnostics="DVR.ATO.GEN.438000" test="not(                 
                        
                        $IDS.Context[child::link:schemaRef/@xlink:href = $thisForm]
                        and
                        xbrli:context/xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]
                        !=
                        $RP.TRTAMI.Context/xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]
                      )"></assert>

    
    <!-- Rule ID: VR.ATO.GEN.438001
            IF (period.endDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.endDate
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
    <assert  id="VR.ATO.GEN.438001" diagnostics="DVR.ATO.GEN.438001" test="not(                 
                        
                        $IDS.Context[child::link:schemaRef/@xlink:href = $thisForm]
                        and
                        xbrli:context/xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
                        !=
                        $RP.TRTAMI.Context/xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]

                      )"></assert>

    

    

    <!--  
            Rule ID: VR.ATO.GEN.438017
            
            IF (RP:bafpo6.xx.xx:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator = TRUE) AND (COUNT(SCHEDULE = "IDS") = 0)
              RETURN VALIDATION MESSAGE
            ENDIF
        -->

    <assert  id="VR.ATO.GEN.438017" diagnostics="DVR.ATO.GEN.438017" test="not(
                        count($IDS.Context) = 0
                        and 
                        $trtami48[matches(.,'^(true|1)$')]
                        and
                        $TRTAMI.Context[child::link:schemaRef/@xlink:href = $thisForm]            
                      )" />
    
  </rule>
</pattern>

