﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="CrossFormPSS" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>XBRL Cross Form Validations that are applicable accross all of the FITR services.</title>
  <!-- PSS Variables -->
  <let name="PSS.Context" value="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/pss/pss_0001/pss.0001.lodge.request.02.00.report.xsd']]" />



  <!-- 
RP.PSS.Payer Context Variables 
-->
 

  
  <let name="RP.PSS.Payer.Context" value="
    $PSS.Context/xbrli:context[not(@i:nil='true' or @i:nil='1') and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]
    /xbrli:segment[not(@i:nil='true' or @i:nil='1')  
    and 2 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')])
    and 1 = count(./xbrldi:typedMember[not(@i:nil='true' or @i:nil='1')])
    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                  and matches(@dimension, '^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') 
                  and matches(.,          '^RprtPyType\.\d\d\.\d\d:ReportingParty$')])
    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                  and matches(@dimension, '^RprtPyType\.\d\d\.\d\d:SecondaryPartyTypeDimension') 
                  and matches(.,          '^RprtPyType\.\d\d\.\d\d:Payer')])                                
    and 1 = count(./xbrldi:typedMember[not(@i:nil='true' or @i:nil='1') 
                  and matches(@dimension, '^SqNumDim\.\d\d\.\d\d:SequenceNumberDimension$') 
    and 1 = count(./SqNumDim.02.01:SequenceNumberContainer[not(@i:nil='true' or @i:nil='1')])])]]"/>
  <let name="RP.PSS.Payer.ContextId" value="$RP.PSS.Payer.Context/@id"/>




  



  <rule context="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

    
    <let name="thisForm" value="child::link:schemaRef/@xlink:href" />
    
    <!-- 
    
    Rule ID: VR.ATO.TRTAMI.000203
    IF COUNT(SCHEDULE = "PSS") > 1
      RETURN VALIDATION MESSAGE
    ENDIF
        -->
    <assert  id="VR.ATO.TRTAMI.000203" diagnostics="DVR.ATO.TRTAMI.000203" test="not(    
                        count($PSS.Context) > 1
                        and 
                        $TRTAMI.Context[child::link:schemaRef/@xlink:href = $thisForm]
                      )"></assert>


    <!-- 
    
    Rule ID: VR.ATO.PSS.000036
   WHERE IN CONTEXT (RP.Payer.{PSSeqNum})
    IF (RP.Payer.{PSSeqNum}.entity.identifier.TFN <> PARENT RETURN:RP.entity.identifier.TFN)
       RETURN VALIDATION MESSAGE
    ENDIF

        -->
    <assert  id="VR.ATO.PSS.000036" diagnostics="DVR.ATO.PSS.000036" test="not(    
                        $PSS.Context[child::link:schemaRef/@xlink:href = $thisForm]
                        and
                        count($RP.PSS.Payer.Context/xbrli:entity/xbrli:identifier[ . != $RP.TRTAMI.Context/xbrli:entity/xbrli:identifier]) !=0

                      )"></assert>


    <!-- 
    
    Rule ID: VR.ATO.PSS.000035
  IF PARENT RETURN <> “IITR”
 AND (
  [PSS20] <> NULLORBLANK OR 
  [PSS21] <> NULLORBLANK OR 
  [PSS31] <> NULLORBLANK OR 
  [PSS24] <> NULLORBLANK OR 
  [PSS25] <> NULLORBLANK OR 
  [PSS32] <> NULLORBLANK)
   RETURN VALIDATION MESSAGE
ENDIF


        -->
    <assert  id="VR.ATO.PSS.000035" diagnostics="DVR.ATO.PSS.000035" test="not(    
                        $PSS.Context[child::link:schemaRef/@xlink:href = $thisForm]

  and( lrla.02.00:Remuneration.VoluntaryAgreementGross.Amount[not(@i:nil='true') and string-length(.) != 0]
  or lrla.02.00:Remuneration.LabourHireArrangementPaymentGross.Amount[not(@i:nil='true') and string-length(.) != 0]
  or lrla.02.17:Remuneration.PersonalServicesIncome.AttributedGross.Amount[not(@i:nil='true') and string-length(.) != 0]
  or rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessVoluntaryAgreement.Amount[not(@i:nil='true') and string-length(.) != 0]
  or rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessLabourHireOrOtherPayments.Amount[not(@i:nil='true') and string-length(.) != 0]
  or rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncome.Amount[not(@i:nil='true') and string-length(.) != 0])

                      )"></assert>



  </rule>
</pattern>

