﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="CrossFormTRTAMIS" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>XBRL Cross Form Validations that are applicable to TRTAMIS.</title>

  

  
    <rule context="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">
    <let name="thisForm" value="child::link:schemaRef/@xlink:href" />
    <let name="thisTrtamis313" value="rvctc1.02.22:IncomeTax.AttributionManagedInvestmentTrustClass.Description"/>


      <!-- Rule ID: VR.ATO.TRTAMI.000174
            IF COUNT(SCHEDULE = "TRTAMIS") = 0
              RETURN VALIDATION MESSAGE
            ENDIF
        -->
      <assert  id="VR.ATO.TRTAMI.000174" diagnostics="DVR.ATO.TRTAMI.000174" test="not(    
                        count($TRTAMIS.Context) = 0
                        and 
                        $TRTAMI.Context[child::link:schemaRef/@xlink:href = $thisForm]
                      )"></assert>


      <!-- Rule ID: VR.ATO.TRTAMI.000234
            
            IF COUNT(SCHEDULE = "TRTAMIS") > 1 AND [TRTAMIS313] = ANY OTHER OCCURRENCE OF [TRTAMIS313]
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

      <assert  id="VR.ATO.TRTAMI.000234" diagnostics="DVR.ATO.TRTAMI.000234" test="not(    
                        count($TRTAMIS.Context) > 1
                        and
                        count($trtamis313[. = $thisTrtamis313]) > 1
                      )"></assert>


      <!-- Rule ID: VR.ATO.TRTAMI.000236

            IF [TRTAMI102] = FALSE AND COUNT(SCHEDULE = "TRTAMIS") > 1
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
      
      <assert  id="VR.ATO.TRTAMI.000236" diagnostics="DVR.ATO.TRTAMI.000236" test="not(    
                        count($TRTAMIS.Context) > 1
                        and 
                        $TRTAMI.Context[child::link:schemaRef/@xlink:href = $thisForm]
                        and
                        $trtami102[matches(.,'^(false|0)$')]
                      )"></assert>


      <!-- Rule ID: VR.ATO.TRTAMI.000237

            IF [TRTAMI102] = TRUE AND ANY OCCURRENCE OF([TRTAMIS313]) = NULLORBLANK
              RETURN VALIDATION MESSAGE
            ENDIF
        -->

      <assert  id="VR.ATO.TRTAMI.000237" diagnostics="DVR.ATO.TRTAMI.000237" test="not(    
                        not($thisTrtamis313[not(@i:nil='true') and string-length(.) != 0]) 
                        and
                        $TRTAMIS.Context[child::link:schemaRef/@xlink:href = $thisForm]
                        and
                        $trtami102[matches(.,'^(true|1)$')]
                      )"></assert>


      <!-- Rule ID: VR.ATO.TRTAMI.000244

            IF [TRTAMI102] = FALSE AND ANY OCCURRENCE OF([TRTAMIS313]) <> NULLORBLANK
              RETURN VALIDATION MESSAGE
            ENDIF
        -->
      <assert  id="VR.ATO.TRTAMI.000244" diagnostics="DVR.ATO.TRTAMI.000244" test="not(    
                        count($trtamis313[not(@i:nil='true') and string-length(.) != 0]) > 0
                        and
                        $TRTAMI.Context[child::link:schemaRef/@xlink:href = $thisForm]
                        and
                        $trtami102[matches(.,'^(false|0)$')]
                      )"></assert>


      <!-- Rule ID: VR.ATO.TRTAMI.000314

            IF [TRTAMI60] <> NULL AND COUNT(SCHEDULE = "TRTAMIS") > 0 AND ALL OCCURRENCES OF([TRTAMIS334]) = NULL
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
      <assert  id="VR.ATO.TRTAMI.000314" diagnostics="DVR.ATO.TRTAMI.000314" test="not(    
                        $trtami60[not(@i:nil='true')]
                        and
                        count($TRTAMIS.Context) > 0
                        and
                        not($trtamis334[not(@i:nil='true')])
                        and
                        $TRTAMI.Context[child::link:schemaRef/@xlink:href = $thisForm]
                      )"></assert>


      <!-- Rule ID: VR.ATO.TRTAMI.000315

            IF [TRTAMI58] <> NULL AND COUNT(SCHEDULE = "TRTAMIS") > 0 AND ALL OCCURRENCES OF([TRTAMIS333]) = NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRTAMI58] = TRTAMI:RP(Instant):bafpo1.02.13:Assets.Total.Amount
            [TRTAMIS333] = TRTAMIS:RP(Instant):bafpo1.02.13:Assets.Total.Amount
        -->
      <assert  id="VR.ATO.TRTAMI.000315" diagnostics="DVR.ATO.TRTAMI.000315" test="not(    
                        $trtami58[not(@i:nil='true')]
                        and
                        count($TRTAMIS.Context) > 0
                        and
                        not($trtamis333[not(@i:nil='true')])
                        and
                        $TRTAMI.Context[child::link:schemaRef/@xlink:href = $thisForm]
                      )"></assert>
      

      <!-- Rule ID: VR.ATO.GEN.402009
            IF (RP:entity.identifier.TFN <> PARENT RETURN:RP:entity.identifier.TFN)
              RETURN VALIDATION MESSAGE
            ENDIF
        -->
    <assert  id="VR.ATO.GEN.402009" diagnostics="DVR.ATO.GEN.402009" test="not(                 
                        
             $TRTAMIS.Context[child::link:schemaRef/@xlink:href = $thisForm]
             and
             (
             xbrli:context[@id = $RP.TRTAMIS.ContextId]/xbrli:entity/xbrli:identifier != $RP.TRTAMI.Context/xbrli:entity/xbrli:identifier
             
             )
                      )"></assert>


      <!-- Rule ID: VR.ATO.GEN.438000
            IF (period.startDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.startDate
              RETURN VALIDATION MESSAGE
            ENDIF
        -->
      <assert  id="VR.ATO.GEN.438000" diagnostics="DVR.ATO.GEN.438000" test="not(                 
                        
                        $TRTAMIS.Context[child::link:schemaRef/@xlink:href = $thisForm]
                        and
                        xbrli:context/xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]
                        !=
                        $RP.TRTAMI.Context/xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]
             
                      )"></assert>


      <!-- Rule ID: VR.ATO.GEN.438001
            IF (period.endDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.endDate
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
      <assert  id="VR.ATO.GEN.438001" diagnostics="DVR.ATO.GEN.438001" test="not(                 
                        
                        $TRTAMIS.Context[child::link:schemaRef/@xlink:href = $thisForm]
                        and
                        xbrli:context/xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
                        !=
                        $RP.TRTAMI.Context/xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
             

               
               
               
               
                      )"></assert>
      

      <!-- Rule ID: VR.ATO.TRTAMIS.000001
            IF [TRTAMIS4] <> NULL AND [TRTAMIS4] <> PARENT RETURN:pyin.xx.xx:Report.TargetFinancial.Year
              RETURN VALIDATION MESSAGE
            ENDIF
        -->
      <assert  id="VR.ATO.TRTAMIS.000001" diagnostics="DVR.ATO.TRTAMIS.000001" test="not(                 
$TRTAMIS.Context[child::link:schemaRef/@xlink:href = $thisForm]
and
pyin.02.37:Report.TargetFinancial.Year[@contextRef=$RP.TRTAMIS.ContextId and not(@i:nil='true' or @i:nil='1')]
!=
$TRTAMI.Context/pyin.02.00:Report.TargetFinancial.Year[@contextRef=$RP.TRTAMI.ContextId and not(@i:nil='true' or @i:nil='1')]                               
               
               
                      )"></assert>

      
      <!-- Rule ID: VR.ATO.GEN.402010
        IF (RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> NULLORBLANK) 
          AND 
          (PARENT RETURN:RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> NULLORBLANK) 
          AND 
          (RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> PARENT RETURN:RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier)
          
          RETURN VALIDATION MESSAGE
        ENDIF
        -->
      <assert  id="VR.ATO.GEN.402010" diagnostics="DVR.ATO.GEN.402010" test="not(                 
               
pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.TRTAMIS.ContextId and not(@i:nil='true' or @i:nil='1')]
!=
$TRTAMI.Context/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.TRTAMI.ContextId and not(@i:nil='true' or @i:nil='1')] 
                            
               
                      )"></assert>
  
  
  
   
    
  

  </rule>

</pattern>