﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldPatterns" xmlns="http://purl.oclc.org/dsdl/schematron">
	<title>Field Pattern Validations</title>

	<rule context="xbrli:xbrl[not(@i:nil='true')]">


    <!-- Rule ID: VR.ATO.TRTAMI.000024

          IF LENGTH([TRTAMI31]) > 15
               RETURN VALIDATION MESSAGE
          ENDIF

		     [TRTAMI43] = pyde.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text
    -->
    <assert id="VR.ATO.TRTAMI.000024" diagnostics="DVR.ATO.TRTAMI.000024"
				test="not(
                        $trtami31
                        [
                            string-length(.) > 15
                        ]
                     )"/>

	<!-- Rule ID: VR.ATO.TRTAMI.000026
         ELS Ref: BLJ

		     IF LENGTH([TRTAMI86]) > 15
				RETURN VALIDATION MESSAGE
			 ENDIF

		     [TRTAMI86] = pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number
    -->
		<assert id="VR.ATO.TRTAMI.000026" diagnostics="DVR.ATO.TRTAMI.000026"
					test="not(
                        $trtami86
                        [
                            string-length(.) > 15
                        ]
                     )"/>


    <!-- Rule ID: VR.ATO.TRTAMI.000027
         ELS Ref: ABH

		     IF LENGTH([TRTAMI12]) > 38
				RETURN VALIDATION MESSAGE
			 ENDIF

		     [TRTAMI12] = pyde.xx.xx:AddressDetails.Line1.Text
    -->
    <assert id="VR.ATO.TRTAMI.000027" diagnostics="DVR.ATO.TRTAMI.000027"
				test="not(
                        $trtami12
                        [
                            string-length(.) > 38
                        ]
                     )"/>


    <!-- Rule ID: VR.ATO.TRTAMI.000032
         ELS Ref: ABH

		     IF LENGTH([TRTAMI13]) > 38
				RETURN VALIDATION MESSAGE
			 ENDIF

		     [TRTAMI13] = pyde.xx.xx:AddressDetails.Line2.Text
    -->
    <assert id="VR.ATO.TRTAMI.000032" diagnostics="DVR.ATO.TRTAMI.000032"
				test="not(
                        $trtami13
                        [
                            string-length(.) > 38
                        ]
                     )"/>


    <!-- Rule ID: VR.ATO.TRTAMI.000036
         ELS Ref: AME

		     IF LENGTH([TRTAMI14]) > 46
				RETURN VALIDATION MESSAGE
			 ENDIF

		     [TRTAMI14] = pyde.xx.xx:AddressDetails.LocalityName.Text
    -->
    <assert id="VR.ATO.TRTAMI.000036" diagnostics="DVR.ATO.TRTAMI.000036"
				test="not(
                        $trtami14
                        [
                            string-length(.) > 46
                        ]
                     )"/>


    <!-- Rule ID: VR.ATO.TRTAMI.000047
         ELS Ref: ABJ

		     IF LENGTH([TRTAMI18]) > 38
				RETURN VALIDATION MESSAGE
			 ENDIF

		     [TRTAMI18] = pyde.xx.xx:AddressDetails.Line1.Text
    -->
    <assert id="VR.ATO.TRTAMI.000047" diagnostics="DVR.ATO.TRTAMI.000047"
				test="not(
                        $trtami18
                        [
                            string-length(.) > 38
                        ]
                     )"/>


    <!-- Rule ID: VR.ATO.TRTAMI.000052
         ELS Ref: ABJ

		     IF LENGTH([TRTAMI19]) > 38
				RETURN VALIDATION MESSAGE
			 ENDIF

		     [TRTAMI19] = pyde.xx.xx:AddressDetails.Line2.Text
    -->
    <assert id="VR.ATO.TRTAMI.000052" diagnostics="DVR.ATO.TRTAMI.000052"
				test="not(
                        $trtami19
                        [
                            string-length(.) > 38
                        ]
                     )"/>


    <!-- Rule ID: VR.ATO.TRTAMI.000056
         ELS Ref: AUT

		     IF LENGTH([TRTAMI20]) > 46
				RETURN VALIDATION MESSAGE
			 ENDIF

		     [TRTAMI20] = pyde.xx.xx:AddressDetails.LocalityName.Text
    -->
    <assert id="VR.ATO.TRTAMI.000056" diagnostics="DVR.ATO.TRTAMI.000056"
				test="not(
                        $trtami20
                        [
                            string-length(.) > 46
                        ]
                     )"/>
    
		<!-- Rule ID: VR.ATO.TRTAMI.000094
         ELS Ref: BLJ

		     IF LENGTH([TRTAMI97]) > 15
				RETURN VALIDATION MESSAGE
			 ENDIF
    
		     [TRTAMI97] = pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number
    -->
		<assert id="VR.ATO.TRTAMI.000094" diagnostics="DVR.ATO.TRTAMI.000094"
					test="not(
                        $trtami97
                        [
                            string-length(.) > 15
                        ]
                     )"/>
    
    
    <!-- Rule ID: VR.ATO.TRTAMI.000095

          IF [TRTAMI35] <> NULL AND [TRTAMI35] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
          ENDIF
          
    -->

    <assert id="VR.ATO.TRTAMI.000095" diagnostics="DVR.ATO.TRTAMI.000095"
            test="not(
                        $trtami35[not(@i:nil='true') and not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000096

          IF [TRTAMI36] <> NULL AND [TRTAMI36] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
          ENDIF          
          
    -->

    <assert id="VR.ATO.TRTAMI.000096" diagnostics="DVR.ATO.TRTAMI.000096"
            test="not(
                        $trtami36[not(@i:nil='true') and not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>



    <!-- Rule ID: VR.ATO.TRTAMI.000099

          IF [TRTAMI39] <> NULL AND [TRTAMI39] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
          ENDIF
          
    -->

    <assert id="VR.ATO.TRTAMI.000099" diagnostics="DVR.ATO.TRTAMI.000099"
            test="not(
                        $trtami39[not(@i:nil='true') and not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>
    
    <!-- Rule ID: VR.ATO.TRTAMI.000100

          IF [TRTAMI40] <> NULL AND [TRTAMI40] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
          ENDIF
          
    -->

    <assert id="VR.ATO.TRTAMI.000100" diagnostics="DVR.ATO.TRTAMI.000100"
            test="not(
                        $trtami40[not(@i:nil='true') and not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>
    
    
    <!-- Rule ID: VR.ATO.TRTAMI.000105

          IF [TRTAMI46] <> NULL AND [TRTAMI46] <> MONETARY(U,13,2)
             RETURN VALIDATION MESSAGE
          ENDIF
          
    -->

    <assert id="VR.ATO.TRTAMI.000105" diagnostics="DVR.ATO.TRTAMI.000105"
            test="not(
                        $trtami46[not(@i:nil='true')]
                        and
                        $trtami46[not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
                     )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000108

          IF [TRTAMI49] <> NULL AND [TRTAMI49] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
          ENDIF
          
    -->

    <assert id="VR.ATO.TRTAMI.000108" diagnostics="DVR.ATO.TRTAMI.000108"
            test="not(
                        $trtami49[not(@i:nil='true')]
                        and
                        $trtami49[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000109

          IF [TRTAMI50] <> NULL AND [TRTAMI50] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
          ENDIF
          
    -->

    <assert id="VR.ATO.TRTAMI.000109" diagnostics="DVR.ATO.TRTAMI.000109"
            test="not(
                        $trtami50[not(@i:nil='true')]
                        and
                        $trtami50[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>
    

    <!-- Rule ID: VR.ATO.TRTAMI.000114

          IF [TRTAMI57] <> NULL AND [TRTAMI57] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
          ENDIF
          
    -->

    <assert id="VR.ATO.TRTAMI.000114" diagnostics="DVR.ATO.TRTAMI.000114"
            test="not(
                        $trtami57[not(@i:nil='true')]
                        and
                        $trtami57[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000115

          IF [TRTAMI58] <> NULL AND [TRTAMI58] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
          ENDIF
          
    -->

    <assert id="VR.ATO.TRTAMI.000115" diagnostics="DVR.ATO.TRTAMI.000115"
            test="not(
                        $trtami58[not(@i:nil='true')]
                        and
                        $trtami58[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000117

          IF [TRTAMI59] <> NULL AND [TRTAMI59] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
          ENDIF
          
    -->

    <assert id="VR.ATO.TRTAMI.000117" diagnostics="DVR.ATO.TRTAMI.000117"
            test="not(
                        $trtami59[not(@i:nil='true')]
                        and
                        $trtami59[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000118

          IF [TRTAMI60] <> NULL AND [TRTAMI60] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
          ENDIF
          
    -->

    <assert id="VR.ATO.TRTAMI.000118" diagnostics="DVR.ATO.TRTAMI.000118"
            test="not(
                        $trtami60[not(@i:nil='true')]
                        and
                        $trtami60[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>
    
    <!-- Rule ID: VR.ATO.TRTAMI.000172

      IF [TRTAMI82] <> NULL AND [TRTAMI82] <> MONETARY(U,11,0)
         RETURN VALIDATION MESSAGE
      ENDIF
    -->

    <assert id="VR.ATO.TRTAMI.000172" diagnostics="DVR.ATO.TRTAMI.000172"
        test="not(
                        $trtami82[not(@i:nil='true')]
                        and
                        $trtami82[not(matches(.,'^[0-9]{1,11}$'))]
                       )" />

    <!-- Rule ID: VR.ATO.TRTAMI.000191
    
          IF LENGTH([TRTAMI42]) > 9
             RETURN VALIDATION MESSAGE
          ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000191" diagnostics="DVR.ATO.TRTAMI.000191"
				test="not(
                        $trtami42
                        [
                            string-length(.) > 9
                        ]
                     )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000192

          IF LENGTH([TRTAMI44]) > 200
             RETURN VALIDATION MESSAGE
          ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000192" diagnostics="DVR.ATO.TRTAMI.000192"
				test="not(
                        $trtami44
                        [
                            string-length(.) > 200
                        ]
                     )"/>




    <!-- Rule ID: VR.ATO.TRTAMI.000208

          IF [TRTAMI103] <> NULL AND [TRTAMI103] <> NUMERIC(U,7,0)
             RETURN VALIDATION MESSAGE
          ENDIF
          
    -->

    <assert id="VR.ATO.TRTAMI.000208" diagnostics="DVR.ATO.TRTAMI.000208"
            test="not(
                        $trtami103[not(@i:nil='true') and not(matches(.,'^[0-9]{1,7}$'))]
                     )"/>

    
    <!-- Rule ID: VR.ATO.TRTAMI.000211

          IF  [TRTAMI118] <> NULL AND [TRTAMI118] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
          ENDIF
          
    -->

    <assert id="VR.ATO.TRTAMI.000211" diagnostics="DVR.ATO.TRTAMI.000211"
            test="not(
                        $trtami118[not(@i:nil='true') and not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.TRTAMI.000216

          IF  [TRTAMI121] <> NULL AND [TRTAMI121] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
          ENDIF
          
    -->

    <assert id="VR.ATO.TRTAMI.000216" diagnostics="DVR.ATO.TRTAMI.000216"
            test="not(
                        $trtami121[not(@i:nil='true') and not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.TRTAMI.000217

          IF  [TRTAMI108] <> NULL AND [TRTAMI108] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
          ENDIF
          
    -->

    <assert id="VR.ATO.TRTAMI.000217" diagnostics="DVR.ATO.TRTAMI.000217"
            test="not(
                        $trtami108[not(@i:nil='true') and not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>



    <!-- Rule ID: VR.ATO.TRTAMI.000218

          IF  [TRTAMI111] <> NULL AND [TRTAMI111] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
          ENDIF
          
    -->

    <assert id="VR.ATO.TRTAMI.000218" diagnostics="DVR.ATO.TRTAMI.000218"
            test="not(
                        $trtami111[not(@i:nil='true') and not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>



    <!-- Rule ID: VR.ATO.TRTAMI.000220

          IF  [TRTAMI114] <> NULL AND [TRTAMI114] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
          ENDIF
          
    -->

    <assert id="VR.ATO.TRTAMI.000220" diagnostics="DVR.ATO.TRTAMI.000220"
            test="not(
                        $trtami114[not(@i:nil='true') and not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.TRTAMI.000224

          IF LENGTH([TRTAMI101]) > 3000
               RETURN VALIDATION MESSAGE
          ENDIF          
    -->

    <assert id="VR.ATO.TRTAMI.000224" diagnostics="DVR.ATO.TRTAMI.000224"
            test="not(
                        $trtami101[string-length(.) > 3000]
                     )"/>

    
    <!-- Rule ID: VR.ATO.TRTAMI.000226

          IF LENGTH([TRTAMI125]) > 38
               RETURN VALIDATION MESSAGE
          ENDIF          
    -->

    <assert id="VR.ATO.TRTAMI.000226" diagnostics="DVR.ATO.TRTAMI.000226"
            test="not(
                        $trtami125[string-length(.) > 38]
                     )"/>

    
    <!-- Rule ID: VR.ATO.TRTAMI.000227

          IF LENGTH([TRTAMI126]) > 38
               RETURN VALIDATION MESSAGE
          ENDIF          
    -->

    <assert id="VR.ATO.TRTAMI.000227" diagnostics="DVR.ATO.TRTAMI.000227"
            test="not(
                        $trtami126[string-length(.) > 38]
                     )"/>


    <!-- Rule ID: VR.ATO.TRTAMI.000228

          IF LENGTH([TRTAMI127]) > 46
               RETURN VALIDATION MESSAGE
          ENDIF          
    -->

    <assert id="VR.ATO.TRTAMI.000228" diagnostics="DVR.ATO.TRTAMI.000228"
            test="not(
                        $trtami127[string-length(.) > 46]
                     )"/>

    
    
    <!-- Rule ID: VR.ATO.TRTAMI.000230

          IF LENGTH([TRTAMI131]) > 38
               RETURN VALIDATION MESSAGE
          ENDIF          
    -->

    <assert id="VR.ATO.TRTAMI.000230" diagnostics="DVR.ATO.TRTAMI.000230"
            test="not(
                        $trtami131[string-length(.) > 38]
                     )"/>

    
    <!-- Rule ID: VR.ATO.TRTAMI.000231

          IF LENGTH([TRTAMI132]) > 38
               RETURN VALIDATION MESSAGE
          ENDIF          
    -->

    <assert id="VR.ATO.TRTAMI.000231" diagnostics="DVR.ATO.TRTAMI.000231"
            test="not(
                        $trtami132[string-length(.) > 38]
                     )"/>


    <!-- Rule ID: VR.ATO.TRTAMI.000232

          IF LENGTH([TRTAMI133]) > 46
               RETURN VALIDATION MESSAGE
          ENDIF          
    -->

    <assert id="VR.ATO.TRTAMI.000232" diagnostics="DVR.ATO.TRTAMI.000232"
            test="not(
                        $trtami133[string-length(.) > 46]
                     )"/>

    
    <!-- Rule ID: VR.ATO.TRTAMI.000304

          IF LENGTH([TRTAMI143]) > 12
                RETURN VALIDATION MESSAGE
          ENDIF        
    -->

    <assert id="VR.ATO.TRTAMI.000304" diagnostics="DVR.ATO.TRTAMI.000304"
            test="not(
                        $trtami143[string-length(.) > 12]
                     )"/>


    <!-- Rule ID: VR.ATO.TRTAMI.000307

          IF LENGTH([TRTAMI144]) > 12
                RETURN VALIDATION MESSAGE
          ENDIF      
    -->

    <assert id="VR.ATO.TRTAMI.000307" diagnostics="DVR.ATO.TRTAMI.000307"
            test="not(
                        $trtami144[string-length(.) > 12]
                     )"/>









    <!-- Rule ID: VR.ATO.GEN.432041

          IF LENGTH(pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text) > 32
             RETURN VALIDATION MESSAGE
          ENDIF

		     [TRTAMI43] = pyde.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text
    -->
    <assert id="VR.ATO.GEN.432041" diagnostics="DVR.ATO.GEN.432041"
				test="not(
                        $trtami43
                        [
                            string-length(.) > 32
                        ]
                     )"/>
    
    <!--palash-->
    <!-- Rule ID: VR.ATO.TRTAMI.000515
        IF LENGTH([TRTAMI8]) > 3000
          RETURN VALIDATION MESSAGE
        ENDIF
          For Amendment Reason, the maximum allowable characters for this form is unlimited
    -->
    <assert id="VR.ATO.TRTAMI.000515" diagnostics="DVR.ATO.TRTAMI.000515"
				test="not(
                        $trtami8
                        [
                            string-length(.) > 3000
                        ]
                     )"/>
    <!--end of palash-->
    
    <!-- Rule ID: VR.ATO.GEN.500058
    
            IF LENGTH(pyde.xx.xx:PersonNameDetails.Position.Text) > 50
              RETURN VALIDATION MESSAGE
            ENDIF"
    -->
    <assert id="VR.ATO.GEN.500058" diagnostics="DVR.ATO.GEN.500058"
            test="not(     
                        $trtami84[string-length(.) > 50]
                        or
                        $trtami95[string-length(.) > 50]
                    )"/>
    
		<!-- Rule ID: VR.ATO.GEN.500096

			IF LENGTH(pyde.xx.xx:PersonUnstructuredName.FullName.Text) > 200
				RETURN VALIDATION MESSAGE
			ENDIF

		     [TRTAMI83] = pyde.xx.xx:PersonUnstructuredName.FullName.Text	INT.T&C
			 [TRTAMI94] = pyde.xx.xx:PersonUnstructuredName.FullName.Text	RP.T&C
    -->
		<assert id="VR.ATO.GEN.500096" diagnostics="DVR.ATO.GEN.500096"
					test="not(
                        $trtami83
                        [
                            string-length(.) > 200
                        ]
						or
						$trtami94
                        [
                            string-length(.) > 200
                        ]
                     )"/>


		<!-- Rule ID: VR.ATO.GEN.500097

			IF LENGTH(pyid.xx.xx:Identifiers.TaxAgentClientReference.Text) > 12
				RETURN VALIDATION MESSAGE
			ENDIF

		     [TRTAMI90] = pyid.xx.xx:Identifiers.TaxAgentClientReference.Text
			 
    -->
		<assert id="VR.ATO.GEN.500097" diagnostics="DVR.ATO.GEN.500097"
					test="not(
                        $trtami90
                        [
                            string-length(.) > 12
                        ]
						
                     )"/>
    
    
	</rule>

</pattern>